function servercmdSlashHelp(%c, %a) {
if(%a $= "") {
  messageClient(%c, 'MsgSlashHelp','\c5List of server-side slash-commands:');
  messageClient(%c, 'MsgSlashHelp', SlashHelp_ServerCommandList());
  return;
}
if(%a $= "/tele" || %a $= "tele") {
  messageClient(%c, 'MsgSlashHelp','\c5/tele <coordinates>');
  messageClient(%c, 'MsgSlashHelp','\c3Teleports you to specified coordinates.');
  messageClient(%c, 'MsgSlashHelp','\c5/tele <player>');
  messageClient(%c, 'MsgSlashHelp','\c3Teleports you to the specified player\'s location.');
  messageClient(%c, 'MsgSlashHelp','\c5/tele');
  messageClient(%c, 'MsgSlashHelp','\c3Teleports you to one of the map\'s spawnpoints.');
  return;
}
messageClient(%c, 'MsgSlashHelp','\c9Invalid command!');
}

function SlashHelp_ServerCommandList() {
return "\c3/help /tele";
}

package Wiggy_Server_SlashHelp {
function ServerCmdMessageSent(%c, %m) {
if(getWord(%m, 0) $= "/help") {
  servercmdSlashHelp(%c, getword(%m,1));
  return;
}
if(getWord(%m, 0) $= "/tele") {
  if(getWord(%m, 1) !$= "" && getWord(%m, 2) !$= "" && getWord(%m, 3) !$= "") {
    if(isObject(%c.player)) {
      %c.player.setTransform(getWords(%m, 1, 3) SPC getWords(%c.player.getTransform(), 3, 6));
      %c.player.setVelocity("0 0 0");
    }
    return;
  }
  if(getWord(%m, 1) $= "") {
    if(isObject(%c.player)) {
      %c.player.setTransForm(pickSpawnPoint(0));
      %c.player.setVelocity("0 0 0");
    }
    return;
  }
  if((%a = getClient_S(getSubStr(%m,6,strLen(%m)-6))) != -1) {
    if(isObject(%a.getControlObject())) {
      %c.player.setTransform(vectorAdd(%a.getControlObject().getTransform(), vectorScale(%a.getControlObject().getForwardVector(), -5)) SPC getWords(%a.getControlObject().getTransform(),3,6));
      %c.player.setVelocity("0 0 0");
    }
    else {
      //In case the player hasn't spawned in yet...
      %c.player.setTransForm(pickSpawnPoint(0));
      %c.player.setVelocity("0 0 0");
    }
    return;
  }
  messageClient(%c, 'MsgSlashHelp','\c9Sorry, but that client was not found.');
  return;
}
Parent::servercmdMessageSent(%c, %m);
}
};
activatepackage(Wiggy_Server_SlashHelp);