//BEGIN
//--- OBJECT WRITE BEGIN ---
new GuiControl(ServerInfoGUI) {
   profile = "GuiDefaultProfile";
   horizSizing = "width";
   vertSizing = "height";
   position = "0 0";
   extent = "640 480";
   minExtent = "8 8";
   visible = "1";
   helpTag = "0";

   new GuiControl(ServerInfoWindow) {
      profile = "WM_WindowProfile";
      horizSizing = "center";
      vertSizing = "center";
      position = "15 11";
      extent = "380 600";
      minExtent = "8 8";
      visible = "1";
      helpTag = "0";

      new GuiBitmapCtrl(ServerInfo_PreviewImage) {
         profile = "GuiDefaultProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "10 10";
         extent = "360 260";
         minExtent = "8 2";
         visible = "1";
         helpTag = "0";
         bitmap = "tbm/data/missions/mountain.jpg";
         wrap = "0";
      };
      new GuiMLTextCtrl(txtServerInfoGUI_Name) {
         profile = "WM_TextProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "14 281";
         extent = "66 18";
         minExtent = "8 8";
         visible = "1";
         helpTag = "0";
         text = "Server Name:";
         lineSpacing = "2";
         allowColorChars = "1";
         maxChars = "-1";
      };
      new GuiTextEditCtrl(ServerInfo_TxtServerName) {
         profile = "GuiTextEditProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "85 281";
         extent = "167 18";
         minExtent = "8 8";
         visible = "1";
         helpTag = "0";
         maxLength = "255";
         historySize = "0";
         password = "0";
         tabComplete = "0";
         sinkAllKeyEvents = "0";
      };
      new GuiCheckBoxCtrl(ServerInfo_ML_isMultiplayer) {
         profile = "TBM_CheckBoxProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "263 278";
         extent = "67 23";
         minExtent = "8 8";
         visible = "1";
         helpTag = "0";
         text = "Multiplayer";
         groupNum = "-1";
         buttonType = "ToggleButton";
            maxLength = "255";
      };
      new GuiCheckBoxCtrl(ServerInfo_ML_isLAN) {
         profile = "TBM_CheckBoxProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "333 278";
         extent = "41 23";
         minExtent = "8 8";
         visible = "1";
         helpTag = "0";
         text = "LAN";
         groupNum = "-1";
         buttonType = "ToggleButton";
            maxLength = "255";
      };
      new GuiMLTextCtrl(txtServerInfoGUI_ServerInfo) {
         profile = "WM_TextProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "22 305";
         extent = "57 18";
         minExtent = "8 8";
         visible = "1";
         helpTag = "0";
         text = "Server Info:";
         lineSpacing = "2";
         allowColorChars = "1";
         maxChars = "-1";
      };
      new GuiTextEditCtrl(ServerInfo_TxtServerInfo) {
         profile = "GuiTextEditProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "85 305";
         extent = "289 18";
         minExtent = "8 8";
         visible = "1";
         helpTag = "0";
         maxLength = "255";
         historySize = "0";
         password = "0";
         tabComplete = "0";
         sinkAllKeyEvents = "0";
      };
      new GuiMLTextCtrl(txtServerInfoGUI_MOTD) {
         profile = "WM_TextProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "47 329";
         extent = "32 18";
         minExtent = "8 8";
         visible = "1";
         helpTag = "0";
         text = "MOTD:";
         lineSpacing = "2";
         allowColorChars = "1";
         maxChars = "-1";
      };
      new GuiTextEditCtrl(ServerInfo_TxtServerMOTD) {
         profile = "GuiTextEditProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "85 329";
         extent = "289 18";
         minExtent = "8 8";
         visible = "1";
         helpTag = "0";
         maxLength = "255";
         historySize = "0";
         password = "0";
         tabComplete = "0";
         sinkAllKeyEvents = "0";
      };
      new GuiMLTextCtrl(txtServerInfoGUI_AdminPass) {
         profile = "WM_TextProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "19 353";
         extent = "60 18";
         minExtent = "8 8";
         visible = "1";
         helpTag = "0";
         text = "Admin Pass:";
         lineSpacing = "2";
         allowColorChars = "1";
         maxChars = "-1";
      };
      new GuiTextEditCtrl(ServerInfo_TxtServerAdminPassword) {
         profile = "GuiTextEditProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "85 353";
         extent = "93 18";
         minExtent = "8 8";
         visible = "1";
         helpTag = "0";
         maxLength = "255";
         historySize = "0";
         password = "0";
         tabComplete = "0";
         sinkAllKeyEvents = "0";
      };
      new GuiMLTextCtrl(txtServerInfoGUI_Port) {
         profile = "WM_TextProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "253 353";
         extent = "22 18";
         minExtent = "8 8";
         visible = "1";
         helpTag = "0";
         text = "Port:";
         lineSpacing = "2";
         allowColorChars = "1";
         maxChars = "-1";
      };
      new GuiTextEditCtrl(ServerInfo_TxtServerPort) {
         profile = "GuiTextEditProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "281 353";
         extent = "93 18";
         minExtent = "8 8";
         visible = "1";
         helpTag = "0";
         maxLength = "255";
         historySize = "0";
         password = "0";
         tabComplete = "0";
         sinkAllKeyEvents = "0";
      };
      new GuiMLTextCtrl(txtServerInfoGUI_Password) {
         profile = "WM_TextProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "27 377";
         extent = "53 18";
         minExtent = "8 8";
         visible = "1";
         helpTag = "0";
         text = "Password:";
         lineSpacing = "2";
         allowColorChars = "1";
         maxChars = "-1";
      };
      new GuiTextEditCtrl(ServerInfo_TxtServerPassword) {
         profile = "GuiTextEditProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "85 377";
         extent = "93 18";
         minExtent = "8 8";
         visible = "1";
         helpTag = "0";
         maxLength = "255";
         historySize = "0";
         password = "0";
         tabComplete = "0";
         sinkAllKeyEvents = "0";
      };
      new GuiMLTextCtrl(txtServerInfoGUI_IRCChannel) {
         profile = "WM_TextProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "215 376";
         extent = "61 18";
         minExtent = "8 8";
         visible = "1";
         helpTag = "0";
         text = "IRC Channel:";
         lineSpacing = "2";
         allowColorChars = "1";
         maxChars = "-1";
      };
      new GuiTextEditCtrl(ServerInfo_TxtIRCServerChannel) {
         profile = "GuiTextEditProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "281 377";
         extent = "93 18";
         minExtent = "8 8";
         visible = "1";
         helpTag = "0";
         maxLength = "255";
         historySize = "0";
         password = "0";
         tabComplete = "0";
         sinkAllKeyEvents = "0";
      };
      new GuiMLTextCtrl(txtServerInfoGUI_TimeLimit) {
         profile = "WM_TextProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "31 400";
         extent = "49 18";
         minExtent = "8 8";
         visible = "1";
         helpTag = "0";
         text = "Time Limit:";
         lineSpacing = "2";
         allowColorChars = "1";
         maxChars = "-1";
      };
      new GuiTextEditCtrl(ServerInfo_TxtServerTimeLimit) {
         profile = "GuiTextEditProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "85 401";
         extent = "93 18";
         minExtent = "8 8";
         visible = "1";
         helpTag = "0";
         maxLength = "255";
         historySize = "0";
         password = "0";
         tabComplete = "0";
         sinkAllKeyEvents = "0";
      };
      new GuiMLTextCtrl(ServerInfo_TxtPlayers) {
         profile = "WM_TextProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "213 401";
         extent = "200 18";
         minExtent = "8 8";
         visible = "1";
         helpTag = "0";
         text = "Players:";
         lineSpacing = "2";
         allowColorChars = "1";
         maxChars = "-1";
      };
      new GuiTextEditSliderCtrl(ServerInfo_SliderNumPlayers) {
         profile = "TBM_TextEditProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "281 401";
         extent = "47 18";
         minExtent = "8 2";
         visible = "1";
         helpTag = "0";
         maxLength = "255";
         historySize = "0";
         password = "0";
         tabComplete = "0";
         sinkAllKeyEvents = "0";
         format = "%3.0f";
         range = "1.000000 64.000000";
         increment = "1";
      };
      new GuiMLTextCtrl(ServerInfo_TxtBrickcount) {
         profile = "WM_TextProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "46 420";
         extent = "200 18";
         minExtent = "8 8";
         visible = "1";
         helpTag = "0";
         text = "Bricks:";
         lineSpacing = "2";
         allowColorChars = "1";
         maxChars = "-1";
      };
      new GuiMLTextCtrl(ServerInfo_TxtUptime) {
         profile = "WM_TextProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "200 420";
         extent = "200 18";
         minExtent = "8 8";
         visible = "1";
         helpTag = "0";
         text = "Uptime:";
         lineSpacing = "2";
         allowColorChars = "1";
         maxChars = "-1";
      };
      new GuiButtonCtrl() {
         profile = "WM_ButtonProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "30 439";
         extent = "80 16";
         minExtent = "8 8";
         visible = "1";
         command = "ServerInfoGUI_handleFrame(1);";
         helpTag = "0";
         text = "Togglables";
         groupNum = "-1";
         buttonType = "PushButton";
      };
      new GuiButtonCtrl() {
         profile = "WM_ButtonProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "145 439";
         extent = "90 16";
         minExtent = "8 8";
         visible = "1";
         command = "ServerInfoGUI_handleFrame(2);";
         helpTag = "0";
         text = "WP Requirements";
         groupNum = "-1";
         buttonType = "PushButton";
      };
      new GuiButtonCtrl() {
         profile = "WM_ButtonProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "260 439";
         extent = "90 16";
         minExtent = "8 8";
         visible = "1";
         command = "ServerInfoGUI_handleFrame(3);";
         helpTag = "0";
         text = "Other";
         groupNum = "-1";
         buttonType = "PushButton";
      };
      new GuiControl(ServerInfoFrame_One) {
         profile = "WM_WindowProfile";
         horizSizing = "right";
         vertSizing = "height";
         position = "0 455";
         extent = "380 120";
         minExtent = "8 2";
         visible = "0";
         helpTag = "0";

        new GuiCheckBoxCtrl(ServerInfo_chkboxFloodProtect) {
           profile = "WM_CheckBoxProfile";
           horizSizing = "right";
           vertSizing = "bottom";
           position = "8 0";
           extent = "140 18";
           minExtent = "8 2";
           visible = "1";
           helpTag = "0";
           text = "Enable Flood Protection";
           groupNum = "-1";
           buttonType = "ToggleButton";
        };
        new GuiCheckBoxCtrl(ServerInfo_chkboxShitbricks) {
           profile = "WM_CheckBoxProfile";
           horizSizing = "right";
           vertSizing = "bottom";
           position = "148 0";
           extent = "140 18";
           minExtent = "8 2";
           visible = "1";
           helpTag = "0";
           text = "Enable Shitbricks";
           groupNum = "-1";
           buttonType = "ToggleButton";
        };
        new GuiCheckBoxCtrl(ServerInfo_chkboxSUMP) {
           profile = "WM_CheckBoxProfile";
           horizSizing = "right";
           vertSizing = "bottom";
           position = "288 0";
           extent = "140 18";
           minExtent = "8 2";
           visible = "1";
           helpTag = "0";
           text = "Enable SUMP";
           groupNum = "-1";
           buttonType = "ToggleButton";
        };
        new GuiCheckBoxCtrl(ServerInfo_chkboxCrotchshots) {
           profile = "WM_CheckBoxProfile";
           horizSizing = "right";
           vertSizing = "bottom";
           position = "8 16";
           extent = "140 18";
           minExtent = "8 2";
           visible = "1";
           helpTag = "0";
           text = "Enable Crotchshots";
           groupNum = "-1";
           buttonType = "ToggleButton";
        };
        new GuiCheckBoxCtrl(ServerInfo_chkboxOneCrotchshot) {
           profile = "WM_CheckBoxProfile";
           horizSizing = "right";
           vertSizing = "bottom";
           position = "148 16";
           extent = "140 18";
           minExtent = "8 2";
           visible = "1";
           helpTag = "0";
           text = "One Crotchshot Per Life";
           groupNum = "-1";
           buttonType = "ToggleButton";
        };
        new GuiCheckBoxCtrl(ServerInfo_chkboxCurseFilter) {
           profile = "WM_CheckBoxProfile";
           horizSizing = "right";
           vertSizing = "bottom";
           position = "288 16";
           extent = "140 18";
           minExtent = "8 2";
           visible = "1";
           helpTag = "0";
           text = "Curse Filter";
           groupNum = "-1";
           buttonType = "ToggleButton";
        };
        new GuiCheckBoxCtrl(ServerInfo_chkboxRespawning) {
           profile = "WM_CheckBoxProfile";
           horizSizing = "right";
           vertSizing = "bottom";
           position = "8 36";
           extent = "140 18";
           minExtent = "8 2";
           visible = "1";
           helpTag = "0";
           text = "Enable Respawning";
           groupNum = "-1";
           buttonType = "ToggleButton";
        };
        new GuiCheckBoxCtrl(ServerInfo_chkboxStunning) {
           profile = "WM_CheckBoxProfile";
           horizSizing = "right";
           vertSizing = "bottom";
           position = "148 36";
           extent = "140 18";
           minExtent = "8 2";
           visible = "1";
           helpTag = "0";
           text = "Enable Stunning";
           groupNum = "-1";
           buttonType = "ToggleButton";
        };
        new GuiCheckBoxCtrl(ServerInfo_chkboxWPFunctions) {
           profile = "WM_CheckBoxProfile";
           horizSizing = "right";
           vertSizing = "bottom";
           position = "8 52";
           extent = "140 18";
           minExtent = "8 2";
           visible = "1";
           helpTag = "0";
           text = "Enable WP Functions";
           groupNum = "-1";
           buttonType = "ToggleButton";
        };
      };
      new GuiControl(ServerInfoFrame_Two) {
         profile = "WM_WindowProfile";
         horizSizing = "right";
         vertSizing = "height";
         position = "0 455";
         extent = "380 120";
         minExtent = "8 2";
         visible = "0";
         helpTag = "0";

        new GuiMLTextCtrl(txtServerInfoGUI_RespawnCycle) {
           profile = "WM_TextProfile";
           horizSizing = "right";
           vertSizing = "bottom";
           position = "8 0";
           extent = "200 18";
           minExtent = "8 8";
           visible = "1";
           helpTag = "0";
           text = "Respawn Cycle:";
           lineSpacing = "2";
           allowColorChars = "1";
           maxChars = "-1";
        };
        new GuiPopUpMenuCtrl(ServerInfo_FrameTwo_RespawnCycle) {
           profile = "TBM_PopUpMenuProfile";
           horizSizing = "right";
           vertSizing = "top";
           position = "95 1";
           extent = "95 18";
           minExtent = "8 2";
           visible = "1";
           helpTag = "0";
           maxLength = "255";
           maxPopupHeight = "200";
        };
        new GuiMLTextCtrl(txtServerInfoGUI_CameraDrop) {
           profile = "WM_TextProfile";
           horizSizing = "right";
           vertSizing = "bottom";
           position = "198 0";
           extent = "200 18";
           minExtent = "8 8";
           visible = "1";
           helpTag = "0";
           text = "Camera Drop:";
           lineSpacing = "2";
           allowColorChars = "1";
           maxChars = "-1";
        };
        new GuiPopUpMenuCtrl(ServerInfo_FrameTwo_DropAtCamera) {
           profile = "TBM_PopUpMenuProfile";
           horizSizing = "right";
           vertSizing = "top";
           position = "280 1";
           extent = "95 18";
           minExtent = "8 2";
           visible = "1";
           helpTag = "0";
           maxLength = "255";
           maxPopupHeight = "200";
        };
        new GuiMLTextCtrl(txtServerInfoGUI_ControlPlayer) {
           profile = "WM_TextProfile";
           horizSizing = "right";
           vertSizing = "bottom";
           position = "8 25";
           extent = "200 18";
           minExtent = "8 8";
           visible = "1";
           helpTag = "0";
           text = "Control Player:";
           lineSpacing = "2";
           allowColorChars = "1";
           maxChars = "-1";
        };
        new GuiPopUpMenuCtrl(ServerInfo_FrameTwo_ControlPlayer) {
           profile = "TBM_PopUpMenuProfile";
           horizSizing = "right";
           vertSizing = "top";
           position = "95 26";
           extent = "95 18";
           minExtent = "8 2";
           visible = "1";
           helpTag = "0";
           maxLength = "255";
           maxPopupHeight = "200";
        };
        new GuiMLTextCtrl(txtServerInfoGUI_DeletePlayer) {
           profile = "WM_TextProfile";
           horizSizing = "right";
           vertSizing = "bottom";
           position = "198 25";
           extent = "200 18";
           minExtent = "8 8";
           visible = "1";
           helpTag = "0";
           text = "Delete Player:";
           lineSpacing = "2";
           allowColorChars = "1";
           maxChars = "-1";
        };
        new GuiPopUpMenuCtrl(ServerInfo_FrameTwo_DeletePlayer) {
           profile = "TBM_PopUpMenuProfile";
           horizSizing = "right";
           vertSizing = "top";
           position = "280 26";
           extent = "95 18";
           minExtent = "8 2";
           visible = "1";
           helpTag = "0";
           maxLength = "255";
           maxPopupHeight = "200";
        };
        new GuiMLTextCtrl(txtServerInfoGUI_ServerMessage) {
           profile = "WM_TextProfile";
           horizSizing = "right";
           vertSizing = "bottom";
           position = "8 50";
           extent = "200 18";
           minExtent = "8 8";
           visible = "1";
           helpTag = "0";
           text = "Server Message:";
           lineSpacing = "2";
           allowColorChars = "1";
           maxChars = "-1";
        };
        new GuiPopUpMenuCtrl(ServerInfo_FrameTwo_ServerMessage) {
           profile = "TBM_PopUpMenuProfile";
           horizSizing = "right";
           vertSizing = "top";
           position = "95 51";
           extent = "95 18";
           minExtent = "8 2";
           visible = "1";
           helpTag = "0";
           maxLength = "255";
           maxPopupHeight = "200";
        };
        new GuiMLTextCtrl(txtServerInfoGUI_Privileges) {
           profile = "WM_TextProfile";
           horizSizing = "right";
           vertSizing = "bottom";
           position = "198 50";
           extent = "200 18";
           minExtent = "8 8";
           visible = "1";
           helpTag = "0";
           text = "Privileges:";
           lineSpacing = "2";
           allowColorChars = "1";
           maxChars = "-1";
        };
        new GuiPopUpMenuCtrl(ServerInfo_FrameTwo_Privileges) {
           profile = "TBM_PopUpMenuProfile";
           horizSizing = "right";
           vertSizing = "top";
           position = "280 51";
           extent = "95 18";
           minExtent = "8 2";
           visible = "1";
           helpTag = "0";
           maxLength = "255";
           maxPopupHeight = "200";
        };
      };
      new GuiControl(ServerInfoFrame_Three) {
         profile = "WM_WindowProfile";
         horizSizing = "right";
         vertSizing = "height";
         position = "0 455";
         extent = "380 120";
         minExtent = "8 2";
         visible = "0";
         helpTag = "0";

        new GuiMLTextCtrl(txtServerInfoGUI_HealthRegenDelay) {
           profile = "WM_TextProfile";
           horizSizing = "right";
           vertSizing = "bottom";
           position = "8 0";
           extent = "200 18";
           minExtent = "8 8";
           visible = "1";
           helpTag = "0";
           text = "Health regen delay:";
           lineSpacing = "2";
           allowColorChars = "1";
           maxChars = "-1";
        };
        new GuiTextEditCtrl(ServerInfo_TxtHealthRegenDelay) {
           profile = "GuiTextEditProfile";
           horizSizing = "right";
           vertSizing = "bottom";
           position = "103 2";
           extent = "40 18";
           minExtent = "8 8";
           visible = "1";
           helpTag = "0";
           maxLength = "255";
           historySize = "0";
           password = "0";
           tabComplete = "0";
           sinkAllKeyEvents = "0";
        };
        new GuiMLTextCtrl(txtServerInfoGUI_HealthRegenHealth) {
           profile = "WM_TextProfile";
           horizSizing = "right";
           vertSizing = "bottom";
           position = "148 0";
           extent = "200 18";
           minExtent = "8 8";
           visible = "1";
           helpTag = "0";
           text = "Health/second:";
           lineSpacing = "2";
           allowColorChars = "1";
           maxChars = "-1";
        };
        new GuiTextEditCtrl(ServerInfo_TxtHealthRegenPerSecond) {
           profile = "GuiTextEditProfile";
           horizSizing = "right";
           vertSizing = "bottom";
           position = "220 2";
           extent = "40 18";
           minExtent = "8 8";
           visible = "1";
           helpTag = "0";
           maxLength = "255";
           historySize = "0";
           password = "0";
           tabComplete = "0";
           sinkAllKeyEvents = "0";
        };
        new GuiMLTextCtrl(txtServerInfoGUI_DirtbrickRespawnDelay) {
           profile = "WM_TextProfile";
           horizSizing = "right";
           vertSizing = "bottom";
           position = "8 25";
           extent = "200 18";
           minExtent = "8 8";
           visible = "1";
           helpTag = "0";
           text = "Dirtbrick respawn delay:";
           lineSpacing = "2";
           allowColorChars = "1";
           maxChars = "-1";
        };
        new GuiTextEditCtrl(ServerInfo_TxtDirtbrickRespawnDelay) {
           profile = "GuiTextEditProfile";
           horizSizing = "right";
           vertSizing = "bottom";
           position = "130 27";
           extent = "40 18";
           minExtent = "8 8";
           visible = "1";
           helpTag = "0";
           maxLength = "255";
           historySize = "0";
           password = "0";
           tabComplete = "0";
           sinkAllKeyEvents = "0";
        };
        new GuiMLTextCtrl(txtServerInfoGUI_DirtbrickHealth) {
           profile = "WM_TextProfile";
           horizSizing = "right";
           vertSizing = "bottom";
           position = "178 25";
           extent = "200 18";
           minExtent = "8 8";
           visible = "1";
           helpTag = "0";
           text = "Dirtbrick health:";
           lineSpacing = "2";
           allowColorChars = "1";
           maxChars = "-1";
        };
        new GuiTextEditCtrl(ServerInfo_TxtDirtbrickHealth) {
           profile = "GuiTextEditProfile";
           horizSizing = "right";
           vertSizing = "bottom";
           position = "255 27";
           extent = "40 18";
           minExtent = "8 8";
           visible = "1";
           helpTag = "0";
           maxLength = "255";
           historySize = "0";
           password = "0";
           tabComplete = "0";
           sinkAllKeyEvents = "0";
        };
        new GuiMLTextCtrl(txtServerInfoGUI_Hovering) {
           profile = "WM_TextProfile";
           horizSizing = "right";
           vertSizing = "bottom";
           position = "8 50";
           extent = "200 18";
           minExtent = "8 8";
           visible = "1";
           helpTag = "0";
           text = "Hovering:";
           lineSpacing = "2";
           allowColorChars = "1";
           maxChars = "-1";
        };
        new GuiPopUpMenuCtrl(ServerInfo_FrameThree_Hovering) {
           profile = "TBM_PopUpMenuProfile";
           horizSizing = "right";
           vertSizing = "top";
           position = "58 50";
           extent = "95 18";
           minExtent = "8 2";
           visible = "1";
           helpTag = "0";
           maxLength = "255";
           maxPopupHeight = "200";
        };
      };
      new GuiButtonCtrl() {
         profile = "WM_ButtonProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "8 575";
         extent = "127 23";
         minExtent = "8 8";
         visible = "1";
         command = "closeServerInfoGUI(0);";
         helpTag = "0";
         text = "Cancel";
         groupNum = "-1";
         buttonType = "PushButton";
      };
      new GuiButtonCtrl() {
         profile = "WM_ButtonProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "265 575";
         extent = "110 23";
         minExtent = "8 8";
         visible = "1";
         command = "closeServerInfoGUI(1);";
         helpTag = "0";
         text = "Save and Close";
         groupNum = "-1";
         buttonType = "PushButton";
      };
   };
};
//--- OBJECT WRITE END ---

$WiggyMenu::Window[$WiggyMenu::Windows++] = ServerInfoWindow;
$WiggyMenu::Window[$WiggyMenu::Windows++] = ServerInfoFrame_One;
$WiggyMenu::Window[$WiggyMenu::Windows++] = ServerInfoFrame_Two;
$WiggyMenu::Window[$WiggyMenu::Windows++] = ServerInfoFrame_Three;

$WiggyMenu::Text[$WiggyMenu::Texts++] = txtServerInfoGUI_Name;
$WiggyMenu::Text[$WiggyMenu::Texts++] = txtServerInfoGUI_ServerInfo;
$WiggyMenu::Text[$WiggyMenu::Texts++] = txtServerInfoGUI_MOTD;
$WiggyMenu::Text[$WiggyMenu::Texts++] = txtServerInfoGUI_AdminPass;
$WiggyMenu::Text[$WiggyMenu::Texts++] = txtServerInfoGUI_Port;
$WiggyMenu::Text[$WiggyMenu::Texts++] = txtServerInfoGUI_Password;
$WiggyMenu::Text[$WiggyMenu::Texts++] = txtServerInfoGUI_IRCChannel;
$WiggyMenu::Text[$WiggyMenu::Texts++] = txtServerInfoGUI_TimeLimit;
$WiggyMenu::Text[$WiggyMenu::Texts++] = ServerInfo_TxtPlayers;
$WiggyMenu::Text[$WiggyMenu::Texts++] = ServerInfo_TxtBrickcount;
$WiggyMenu::Text[$WiggyMenu::Texts++] = ServerInfo_TxtUptime;
$WiggyMenu::Text[$WiggyMenu::Texts++] = txtServerInfoGUI_RespawnCycle;
$WiggyMenu::Text[$WiggyMenu::Texts++] = txtServerInfoGUI_CameraDrop;
$WiggyMenu::Text[$WiggyMenu::Texts++] = txtServerInfoGUI_ControlPlayer;
$WiggyMenu::Text[$WiggyMenu::Texts++] = txtServerInfoGUI_DeletePlayer;
$WiggyMenu::Text[$WiggyMenu::Texts++] = txtServerInfoGUI_ServerMessage;
$WiggyMenu::Text[$WiggyMenu::Texts++] = txtServerInfoGUI_Privileges;
$WiggyMenu::Text[$WiggyMenu::Texts++] = txtServerInfoGUI_HealthRegenDelay;
$WiggyMenu::Text[$WiggyMenu::Texts++] = txtServerInfoGUI_HealthRegenHealth;
$WiggyMenu::Text[$WiggyMenu::Texts++] = txtServerInfoGUI_DirtbrickRespawnDelay;
$WiggyMenu::Text[$WiggyMenu::Texts++] = txtServerInfoGUI_DirtbrickHealth;
$WiggyMenu::Text[$WiggyMenu::Texts++] = txtServerInfoGUI_Hovering;

if($Pref::WP::Server::RespawnCycle $= "")
  $Pref::WP::Server::RespawnCycle = 3;
if($Pref::WP::Server::DropAtCamera $= "")
  $Pref::WP::Server::DropAtCamera = 2;
if($Pref::WP::Server::ControlPlayer $= "")
  $Pref::WP::Server::ControlPlayer = 3;
if($Pref::WP::Server::DeletePlayer $= "")
  $Pref::WP::Server::DeletePlayer = 3;
if($Pref::WP::Server::ServerMessage $= "")
  $Pref::WP::Server::ServerMessage = 1;
if($Pref::WP::Server::Privileges $= "")
  $Pref::WP::Server::Privileges = 3;

if($Pref::WP::Server::HealthRegenDelay $= "")
  $Pref::WP::Server::HealthRegenDelay = 10;
if($Pref::WP::Server::HealthRegenperSecond $= "")
  $Pref::WP::Server::HealthRegenperSecond = 5;
if($Pref::WP::Server::DirtbrickRespawnDelay $= "")
  $Pref::WP::Server::DirtbrickRespawnDelay = 50;
if($Pref::WP::Server::DirtbrickHealth $= "")
  $Pref::WP::Server::DirtbrickHealth = 100;

function ServerInfoGui::onWake() {
%a = getMissionDisplayName($Server::MissionName);
ServerInfo_PreviewImage.setBitmap(%a.preview);
%a.delete();
ServerInfo_TxtServerName.setValue($Pref::Server::Name);
ServerInfo_TxtServerInfo.setValue($Pref::Server::Info);
ServerInfo_TxtServerPassword.setValue($Pref::Server::Password);
ServerInfo_TxtServerAdminPassword.setValue($Pref::Server::AdminPassword);
ServerInfo_TxtServerMOTD.setValue($Pref::Server::MOTD);
ServerInfo_TxtPlayers.setValue("<color:" @ decimalToHex(getWord($Pref::WP::WM::TextColor, 0), 2) @ decimalToHex(getWord($Pref::WP::WM::TextColor, 1), 2) @ decimalToHex(getWord($Pref::WP::WM::TextColor, 2), 2) @ ">Players:" SPC $Server::PlayerCount SPC getSubStr(" / ", ($Server::PlayerCount > 9), 2));
ServerInfo_SliderNumPlayers.setValue($Pref::Server::MaxPlayers);
ServerInfo_TxtIRCServerChannel.setValue($Pref::Server::IRC::Channel);
ServerInfo_ML_isLAN.setValue($Pref::HostLAN);
ServerInfo_TxtServerTimeLimit.setValue($Pref::Server::TimeLimit);
ServerInfo_ML_isMultiplayer.setValue($Pref::HostMultiplayer);
ServerInfo_TxtBrickcount.setValue("<color:" @ decimalToHex(getWord($Pref::WP::WM::TextColor, 0), 2) @ decimalToHex(getWord($Pref::WP::WM::TextColor, 1), 2) @ decimalToHex(getWord($Pref::WP::WM::TextColor, 2), 2) @ ">Bricks: " SPC getBrickCount());
ServerInfo_TxtUptime.setValue("<color:" @ decimalToHex(getWord($Pref::WP::WM::TextColor, 0), 2) @ decimalToHex(getWord($Pref::WP::WM::TextColor, 1), 2) @ decimalToHex(getWord($Pref::WP::WM::TextColor, 2), 2) @ ">Uptime:" SPC getServerUptime(1));
ServerInfo_chkboxFloodProtect.setValue($Pref::Server::FloodProtectionEnabled);
ServerInfo_chkboxShitBricks.setValue($Pref::Server::CanHasShit);
ServerInfo_chkboxSUMP.setValue($Pref::Server::SUMP);
ServerInfo_chkboxCrotchshots.setValue($Pref::WP::Server::Crotchshots);
ServerInfo_chkboxOneCrotchshot.setValue($Pref::WP::Server::OneCrotchshotPerLife);
ServerInfo_chkboxCurseFilter.setValue($Pref::WP::Server::Cursefilter);
ServerInfo_chkboxRespawning.setValue($Pref::WP::Server::EnableRespawning);
ServerInfo_chkboxStunning.setValue($Pref::WP::Server::EnableStunning);
ServerInfo_chkboxWPFunctions.setValue($Pref::WP::Server::EnableWPFunctions);
ServerInfo_TxtServerPort.setValue($Pref::Server::Port);
$ServerInfoGUI_UpdateTick = schedule(1000, 0, ServerInfoGUI_Update);
%a[1] = ServerInfo_FrameTwo_RespawnCycle;
%a[2] = ServerInfo_FrameTwo_DropAtCamera;
%a[3] = ServerInfo_FrameTwo_ControlPlayer;
%a[4] = ServerInfo_FrameTwo_DeletePlayer;
%a[5] = ServerInfo_FrameTwo_ServerMessage;
%a[6] = ServerInfo_FrameTwo_Privileges;
for(%a = 1; %a <= 6; %a++) {
  %a[%a].clear();
  %a[%a].add("Mod", 1);
  %a[%a].add("Admin", 2);
  %a[%a].add("Super Admin", 3);
  %a[%a].add("Host", 4);
  eval("%b = $Pref::WP::Server::" @ strReplace(%a[%a], "ServerInfo_FrameTwo_", "") @ ";");
  %a[%a].setValue(%a[%a].getTextbyID(%b));
}
ServerInfo_TxtHealthRegenDelay.setValue($Pref::WP::Server::HealthRegenDelay);
ServerInfo_TxtHealthRegenPerSecond.setValue($Pref::WP::Server::HealthRegenperSecond);
ServerInfo_TxtDirtbrickRespawnDelay.setValue($Pref::WP::Server::DirtbrickRespawnDelay);
ServerInfo_TxtDirtbrickHealth.setValue($Pref::WP::Server::DirtbrickHealth);
ServerInfo_FrameThree_Hovering.clear();
ServerInfo_FrameThree_Hovering.add("Off", 0);
ServerInfo_FrameThree_Hovering.add("Freebuild", 1);
ServerInfo_FrameThree_Hovering.add("On", 2);
if($Pref::WP::Server::EnableHovering $= "")
  $Pref::WP::Server::EnableHovering = 2;
ServerInfo_FrameThree_Hovering.setValue(ServerInfo_FrameThree_Hovering.getTextbyID($Pref::WP::Server::EnableHovering));
}

function ServerInfoGUI_Update() {
ServerInfo_TxtUptime.setValue("<color:" @ decimalToHex(getWord($Pref::WP::WM::TextColor, 0), 2) @ decimalToHex(getWord($Pref::WP::WM::TextColor, 1), 2) @ decimalToHex(getWord($Pref::WP::WM::TextColor, 2), 2) @ ">Uptime:" SPC getServerUptime(1));
$ServerInfoGUI_UpdateTick = schedule(700, 0, ServerInfoGUI_Update);
}

function ServerInfoGUI_handleFrame(%a) {
ServerInfoFrame_One.setVisible(%a == 1);
ServerInfoFrame_Two.setVisible(%a == 2);
ServerInfoFrame_Three.setVisible(%a == 3);
}

ServerInfoGUI_handleFrame(1);

function closeServerInfoGUI(%save) {
echo("Closing Mission Info GUI.");
cancel($ServerInfoGUI_UpdateTick);
if(%save) {
	echo("Saving stuff.");
	%multiPlayer = $Pref::HostMultiplayer;
	%irc = $Pref::Server::IRC::Channel;
	$Pref::Server::Name = ServerInfo_TxtServerName.getValue();
	$Pref::Server::Info = ServerInfo_TxtServerInfo.getValue();
	$Pref::Server::Password = ServerInfo_TxtServerPassword.getValue();
	$Pref::Server::AdminPassword = ServerInfo_TxtServerAdminPassword.getValue();
	$Pref::Server::MOTD = ServerInfo_TxtServerMOTD.getValue();
	$Pref::Server::MaxPlayers = ServerInfo_SliderNumPlayers.getValue();
	$Pref::Server::IRC::Channel = ServerInfo_TxtIRCServerChannel.getValue();
	if(%irc !$= $Pref::Server::IRC::Channel)
		IRCchan(strReplace($Pref::Server::IRC::Channel,"#",""));
	$Pref::HostLAN = ServerInfo_ML_isLAN.getValue();
	$Pref::Server::TimeLimit = ServerInfo_TxtServerTimeLimit.getValue();
	$Pref::HostMultiplayer = ServerInfo_ML_isMultiplayer.getValue();
	$Pref::Server::FloodProtectionEnabled = ServerInfo_chkboxFloodProtect.getValue();
	$Pref::Server::CanHasShit = ServerInfo_chkboxShitBricks.getValue();
	$Pref::Server::SUMP = ServerInfo_chkboxSUMP.getValue();
	$Pref::WP::Server::Crotchshots = ServerInfo_chkboxCrotchshots.getValue();
	$Pref::WP::Server::OneCrotchshotPerLife = ServerInfo_chkboxOneCrotchshot.getValue();
	$Pref::WP::Server::Cursefilter = ServerInfo_chkboxCrotchshots.getValue();
	$Pref::WP::Server::EnableRespawning = ServerInfo_chkboxRespawning.getValue();
	$Pref::WP::Server::EnableStunning = ServerInfo_chkboxStunning.getValue();
	$Pref::WP::Server::EnableWPFunctions = ServerInfo_chkboxWPFunctions.getValue();
	$Pref::Server::Port = ServerInfo_TxtServerPort.getValue();
	$Pref::WP::Server::HealthRegenDelay = ServerInfo_TxtHealthRegenDelay.getValue();
	$Pref::WP::Server::HealthRegenperSecond = ServerInfo_TxtHealthRegenPerSecond.getValue();
	$Pref::WP::Server::DirtbrickRespawnDelay = ServerInfo_TxtDirtbrickRespawnDelay.getValue();
	$Pref::WP::Server::DirtbrickHealth = ServerInfo_TxtDirtbrickHealth.getValue();
	switch$(ServerInfo_FrameThree_Hovering.getValue()) {
		case "On":
			$Pref::WP::Server::EnableHovering = 2;
		case "Freebuild":
			$Pref::WP::Server::EnableHovering = 1;
		case "Off":
			$Pref::WP::Server::EnableHovering = 0;
	}
	%a[1] = ServerInfo_FrameTwo_RespawnCycle;
	%a[2] = ServerInfo_FrameTwo_DropAtCamera;
	%a[3] = ServerInfo_FrameTwo_ControlPlayer;
	%a[4] = ServerInfo_FrameTwo_DeletePlayer;
	%a[5] = ServerInfo_FrameTwo_ServerMessage;
	%a[6] = ServerInfo_FrameTwo_Privileges;
	%a["Mod"] = 1;
	%a["Admin"] = 2;
	%a["Super Admin"] = 3;
	%a["Host"] = 4;
	for(%a = 1; %a <= 6; %a++) //THIS is just to piss people off.
		eval("$Pref::WP::Server::" @ strReplace(%a[%a], "ServerInfo_FrameTwo_", "") @ "= %a[%a[%a].getValue()];");
	if(($Pref::HostLAN == 1 && $pref::HostMultiPlayer == 1) || $pref::HostMultiPlayer == 0)
		$pref::Net::DisplayOnMaster = "Never";
	else
		$pref::Net::DisplayOnMaster = "Yes"; 
	if(!%multiPlayer && $Pref::HostMultiplayer) {
		echo("Initializing multiplayer.");
		//Initialize multiplayer
		portInit($Pref::Server::Port);
		allowConnections(true);
		if ($pref::Net::DisplayOnMaster !$= "Never" )
			schedule(0,0,startHeartbeat);
	}
	if(%multiPlayer && !$Pref::HostMultiplayer) {
		echo("Disabling multiplayer.");
		//Disable multiplayer
		//Not doing anything at the moment.
	}
}
canvas.popDialog(ServerInfoGUI);
}