//BEGIN
//A pseudo-library of some stuff that I make that actually turns out to be useful that I use in later addons
//This is mostly just so I'll stop worrying about stuff.

$WiggyPatch::ClientLib = 1.5;
//Released with the WP 1.24
//9/25/2013


//All functions, alphabetized

function actionToCharacter(%key, %shift) {
//I've been advised that regional keyboards have different mappings for shift functions.  I can't believe I forgot to check that.
//This is an American keyboard layout by default; I'll add the rest later
switch$(strLwr(%key)) {
  case "1":
    return %shift ? "!" : "1";
  case "2":
    return %shift ? "@" : "2";
  case "3":
    return %shift ? "#" : "3";
  case "4":
    return %shift ? "$" : "4";
  case "5":
    return %shift ? "%" : "5";
  case "6":
    return %shift ? "^" : "6";
  case "7":
    return %shift ? "&" : "7";
  case "8":
    return %shift ? "*" : "8";
  case "9":
    return %shift ? "(" : "9";
  case "0":
    return %shift ? ")" : "0";
  case "minus":
    return %shift ? "_" : "-";
  case "=":
    return %shift ? "+" : "=";
  case "[":
    return %shift ? "{" : "[";
  case "]":
    return %shift ? "}" : "]";
  case "backslash":
    return %shift ? "|" : "\\";
  case ";":
    return %shift ? ":" : ";";
  case "apostrophe":
    return %shift ? "\"" : "'";
  case "comma":
    return %shift ? "<" : ",";
  case "period":
    return %shift ? ">" : ".";
  case "/":
    return %shift ? "?" : "/";
  case "numpad1":
    return "1";
  case "numpad2":
    return "2";
  case "numpad3":
    return "3";
  case "numpad4":
    return "4";
  case "numpad5":
    return "5";
  case "numpad6":
    return "6";
  case "numpad7":
    return "7";
  case "numpad8":
    return "8";
  case "numpad9":
    return "9";
  case "numpad0":
    return "0";
  case "numpaddivide":
    return "/";
  case "*":
    return "*";
  case "+":
    return "+";
  case "numpaddecimal":
    return ".";
  case "space":
    return " ";
  default:
    return strLen(%key) == 1 ? (%shift ? strUpr(%key) : %key) : "";
}
}

function getClient_c(%n) {
%name = detagColors(%n);
for(%i = 0; %i < AdminPlayerList.rowCount(); %i++) {
  %name = strReplace(AdminPlayerList.getRowText(%i), "[Mod]", "");
  %name = strReplace(%name, "[Admin]", "");
  %name = strReplace(%name, "[Super]", "");
  if(%name $= %n)
    return AdminPlayerList.getRowID(%i);
}
for(%i = 0; %i < AdminPlayerList.rowCount(); %i++) {
  %name = strReplace(AdminPlayerList.getRowText(%i), "[Mod]", "");
  %name = strReplace(%name, "[Admin]", "");
  %name = strReplace(%name, "[Super]", "");
  if(strLwr(%name) $= strLwr(%n))
    return AdminPlayerList.getRowID(%i);
}
for(%i = 0; %i < AdminPlayerList.rowCount(); %i++) {
  %name = strReplace(AdminPlayerList.getRowText(%i), "[Mod]", "");
  %name = strReplace(%name, "[Admin]", "");
  %name = strReplace(%name, "[Super]", "");
  if(strPos(%name, %n) != -1)
    return AdminPlayerList.getRowID(%i);
}
for(%i = 0; %i < AdminPlayerList.rowCount(); %i++) {
  %name = strReplace(AdminPlayerList.getRowText(%i), "[Mod]", "");
  %name = strReplace(%name, "[Admin]", "");
  %name = strReplace(%name, "[Super]", "");
  if(strPos(strLwr(%name),strLwr(%n)) != -1)
    return AdminPlayerList.getRowID(%i);
}
return -1;
}

function getGhost(%str) {
//Ghost data passed from the server; encoded as follows:
//Shapename TAB datablock TAB position TAB scale TAB velocity
%shapeName = getField(%str, 0);
%datablock = getField(%str, 1);
%position = getField(%str, 2);
%scale = getField(%str, 3);
%velocity = getField(%str, 4);
%ghost = -1;
%offset = 100; //So we don't get too off track
for(%i = 0; %i < ServerConnection.getCount(); %i++) {
  %obj = ServerConnection.getobject(%i);
  if(%obj.getShapeName() $= %shapeName && %obj.getDatablock() == %datablock && %obj.getScale() $= %scale) {
    %o = vectorDist(%obj.getPosition(), %position) * vectorDist(%obj.getVelocity(), %velocity);
    if(%o < %offset) {
      %offset = %o;
      %ghost = %obj;
    }
  }
}
return %ghost;
}

//copied from mainMenu.cs and improved
function isMouseoverbutton(%button) {
%parent = %button;
while(%parent.getGroup() != nameToID(Canvas) && %parent.getGroup() != nameToID(GUIGroup)) {
  %xMin += getWord(%parent.position, 0);
  %yMin += getWord(%parent.position, 1);
  %parent = %parent.getGroup();
}
if(Canvas.getObject(Canvas.getCount() - 1) != nameToID(%parent))
  return false;
%xMax = %xMin + getword(%button.extent, 0);
%yMax = %yMin + getword(%button.extent, 1);
%mousex = getword(Canvas.getCursorpos(), 0);
%mousey = getword(Canvas.getCursorpos(), 1);
if(%mousex < %xmin || %mousex > %xmax || %mousey < %ymin || %mousey > %ymax)
  return false;
else
  return true;
}

function reloadNews() {
$newshasstarted = 0;
TCPnews_init();
}
