//BEGIN
package WP_Client_Slashhelp {
function MessageHUD_Edit::Eval(%this) {
if(getWord(%this.getValue(), 0) $= "/help") {
  slashHelp(getWord(%this.getValue(), 1));
  MessageHUD.close();
  return;
}
if(getWord(%this.getValue(), 0) $= "/link") {
  WP_visitLink();
  MessageHUD.close();
  return;
}
if(getWord(%this.getValue(), 0) $= "/endpm") {
  %name = strReplace(AdminPlayerList.getRowTextbyID($WP_PMClient), "[Mod]", "");
  %name = strReplace(%name, "[Admin]", "");
  %name = strReplace(%name, "[Super]", "");
  chatHUD.addline("\c3PM conversation with \c8" @ %name @ "\c3 has been ended.");
  $WP_PMClient = "";
  MessageHUD.close();
  return;
}
if(getWord(%this.getValue(), 0) $= "/pm") {
  $WP_PMClient = "";
  %target = getWord(%this.getValue(), 1);
  if(%target $= "") {
    chatHUD.addline("\c9Invalid usage.");
    slashHelp("/pm");
    MessageHUD.close();
    return;
  }
  $WP_PMClient = getClient_C(%target);
  if($WP_PMClient == -1) {
    chatHUD.addline("\c9Player \"\c8"@ %target @"\c9\" could not be found.");
    $WP_PMClient = "";
  }
  MessageHUD.close();
  return;
}
Parent::Eval(%this);
}
};
activatepackage(WP_Client_Slashhelp);

function slashHelp_returnCommandList() {
return "\c3/help /link";
}

function slashHelp(%a) {
if(%a $= "/help" || %a $= "help") {
  chatHUD.addLine("\c5/help [command]");
  ChatHUD.addLine("\c3Displays list of commands.  Provides information about and usage of specified command if one is provided.");
  return;
}
if(%a $= "/link" || %a $= "link") {
  chatHUD.addLine("\c5/link");
  ChatHUD.addLine("\c3Opens the most recently found http link as a webpage.");
  return;
}
if(%a $= "") {
  ChatHUD.addLine("\c5List of slash-commands:");
  ChatHUD.addLine("\c3(Type \"/help [command]\" to get more detailed help about a command)");
  ChatHUD.addLine(slashhelp_returnCommandList());
  commandToServer('SlashHelp',"");
  return;
}
commandtoserver('SlashHelp',%a);
}

package WP_Client_Stopwatch_Slashcommand {
function slashHelp_returnCommandList() {
return Parent::slashHelp_returnCommandList() SPC "/stopwatch";
}

function slashHelp(%a) {
if(%a $= "/stopwatch" || %a $= "stopwatch") {
  ChatHUD.addLine("\c5/stopwatch");
  ChatHUD.addLine("\c3Opens the stopwatch.");
  return;
}
Parent::slashHelp(%a);
}

};
activatepackage(WP_Client_Stopwatch_Slashcommand);

package WP_Client_PMConversation_Slashcommand {
function slashHelp_returnCommandList() {
return Parent::slashHelp_returnCommandList() SPC "/pm /endpm" ;
}

function slashHelp(%a) {
if(%a $= "/pm" || %a $= "pm") {
  ChatHUD.addLine("\c5/pm <player>");
  ChatHUD.addLine("\c3Starts a PM conversation with given player.  Hitting T opens a PM to that player instead of talking.");
  return;
}
if(%a $= "/endpm" || %a $= "endpm") {
  ChatHUD.addLine("\c5/endpm");
  ChatHUD.addLine("\c3Ends a PM conversation started with the /pm command.");
  return;
}
Parent::slashHelp(%a);
}

function toggleMessageHud(%a) {
if(%a && $WP_PmClient !$= "") {
  if(AdminPlayerList.getRowTextByID($WP_PmClient) $= "") {
    $WP_PMClient = "";
    chatHUD.addLine("\c3PM conversation has been ended.");
    return;
  }
  AdminPlayerList.setSelectedByID($WP_PMClient);
  MessageHud.msgType = 2;
  MessageHud.toggleState();
  return;
}
Parent::toggleMessageHud(%a);
}

};
activatepackage(WP_Client_PMConversation_Slashcommand);