if(isObject(FilterGUI)) {
  if(FilterGUI.isAwake()) {
    canvas.popDialog(FilterGUI);
    error("The Filter GUI is already open!  Close a GUI before you execute it again, bonehead.");
  }
}

//--- OBJECT WRITE BEGIN ---
new GuiControl(filterGui) {
   profile = "GuiDefaultProfile";
   horizSizing = "right";
   vertSizing = "bottom";
   position = "0 0";
   extent = "640 480";
   minExtent = "8 2";
   visible = "1";
   helpTag = "0";

   new GuiWindowCtrl(FilterGUIwindow) {
      profile = "WM_WindowProfile";
      horizSizing = "center";
      vertSizing = "center";
      position = "119 37";
      extent = "730 506";
      minExtent = "8 2";
      visible = "1";
      helpTag = "0";
      text = "Filter Manager Gui";
      maxLength = "255";
      resizeWidth = "1";
      resizeHeight = "1";
      canMove = "1";
      canClose = "1";
      canMinimize = "0";
      canMaximize = "0";
      minSize = "50 50";
      closeCommand = "Canvas.popDialog(filterGui);";

      new GuiBitmapCtrl(bmpFilterGuiBackground) {
         profile = "GuiDefaultProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "3 21";
         extent = "724 481";
         minExtent = "8 2";
         visible = "1";
         helpTag = "0";
         bitmap = "dtb/client/wiggy/ui/Images/backgroundone";
         wrap = "0";
         WMbackground = 1;
      };
      new GuiMLTextCtrl(txtFilterGUI_Target) {
         profile = "GuiTextProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "13 20";
         extent = "95 18";
         minExtent = "8 2";
         visible = "1";
         helpTag = "0";
         text = "Target:";
         lineSpacing = "2";
         allowColorChars = "1";
         maxChars = "-1";
      };
      new GuiMLTextCtrl(txtFilterGUI_CI) {
         profile = "GuiTextProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "85 21";
         extent = "95 18";
         minExtent = "8 2";
         visible = "1";
         helpTag = "0";
         text = "Case-insensitive:";
         lineSpacing = "2";
         allowColorChars = "1";
         maxChars = "-1";
      };
      new GuiMLTextCtrl(txtFilterGUI_Replace) {
         profile = "GuiTextProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "185 21";
         extent = "95 18";
         minExtent = "8 2";
         visible = "1";
         helpTag = "0";
         text = "Replace:";
         lineSpacing = "2";
         allowColorChars = "1";
         maxChars = "-1";
      };
      new GuiMLTextCtrl(txtFilterGUI_with) {
         profile = "GuiTextProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "389 21";
         extent = "95 18";
         minExtent = "8 2";
         visible = "1";
         helpTag = "0";
         text = " With:";
         lineSpacing = "2";
         allowColorChars = "1";
         maxChars = "-1";
      };
      new GuiScrollCtrl() {
         profile = "TBM_ScrollProfile";
         horizSizing = "width";
         vertSizing = "height";
         position = "11 36";
         extent = "698 339";
         minExtent = "8 2";
         visible = "1";
         helpTag = "0";
         willFirstRespond = "1";
         hScrollBar = "alwaysOn";
         vScrollBar = "alwaysOn";
         constantThumbHeight = "0";
         childMargin = "0 0";

         new GuiTextListCtrl(filterList) {
            profile = "GuiTextListProfile";
            horizSizing = "right";
            vertSizing = "bottom";
            position = "2 -1631";
            extent = "698 2672";
            minExtent = "8 2";
            visible = "1";
            altCommand = "loadFilterEntry(filterList.getSelectedID());";
            helpTag = "0";
            enumerate = "1";
            resizeCell = "1";
            columns = "0 113 150 375";
            fitParentWidth = "0";
            clipColumnText = "0";
            noDuplicates = "false";
         };
      };
      new GuiTextEditCtrl(TXTfiltertarget) {
         profile = "GuiTextEditProfile";
         horizSizing = "width";
         vertSizing = "top";
         position = "11 401";
         extent = "200 18";
         minExtent = "8 2";
         visible = "1";
         helpTag = "0";
         maxLength = "255";
         historySize = "0";
         password = "0";
         tabComplete = "0";
         sinkAllKeyEvents = "0";
      };
      new GuiMLTextCtrl(txtFilterGUI_who) {
         profile = "GuiTextProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "11 381";
         extent = "200 18";
         minExtent = "8 2";
         visible = "1";
         helpTag = "0";
         text = "Who should this entry affect?";
         lineSpacing = "2";
         allowColorChars = "1";
         maxChars = "-1";
      };
      new GuiPopUpMenuCtrl(menuFilterTarget) {
         profile = "TBM_PopUpMenuProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "11 421";
         extent = "130 23";
         minExtent = "8 2";
         visible = "1";
         helpTag = "0";
         maxLength = "255";
         maxPopupHeight = "200";
      };
      new GuiMLTextCtrl(txtFilterGUI_what) {
         profile = "GuiTextProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "236 381";
         extent = "200 18";
         minExtent = "8 2";
         visible = "1";
         helpTag = "0";
         text = "What word should be filtered?";
         lineSpacing = "2";
         allowColorChars = "1";
         maxChars = "-1";
      };
      new GuiTextEditCtrl(TXTfilterreplace) {
         profile = "GuiTextEditProfile";
         horizSizing = "width";
         vertSizing = "top";
         position = "236 401";
         extent = "200 18";
         minExtent = "8 2";
         visible = "1";
         helpTag = "0";
         maxLength = "255";
         historySize = "0";
         password = "0";
         tabComplete = "0";
         sinkAllKeyEvents = "0";
      };
      new GuiMLTextCtrl(txtFilterGUI_whatshould) {
         profile = "GuiTextProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "461 381";
         extent = "200 18";
         minExtent = "8 2";
         visible = "1";
         helpTag = "0";
         text = "What should that word be replaced with?";
         lineSpacing = "2";
         allowColorChars = "1";
         maxChars = "-1";
      };
      new GuiTextEditCtrl(TXTfilterwith) {
         profile = "GuiTextEditProfile";
         horizSizing = "width";
         vertSizing = "top";
         position = "461 401";
         extent = "200 18";
         minExtent = "8 2";
         visible = "1";
         helpTag = "0";
         maxLength = "255";
         historySize = "0";
         password = "0";
         tabComplete = "0";
         sinkAllKeyEvents = "0";
      };
      new GuiCheckBoxCtrl(chkboxCaseInsensitive) {
         profile = "GuiCheckBoxProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "461 421";
         extent = "140 18";
         minExtent = "8 2";
         visible = "1";
         helpTag = "0";
         text = "Case Insensitive";
         groupNum = "-1";
         buttonType = "ToggleButton";
      };
      new GuiButtonCtrl() {
         profile = "GuiButtonProfile";
         horizSizing = "right";
         vertSizing = "top";
         position = "590 421";
         extent = "118 22";
         minExtent = "8 2";
         visible = "1";
         command = "addFilterEntry();";
         helpTag = "0";
         text = "Add new entry";
         groupNum = "-1";
         buttonType = "PushButton";
      };
      new GuiButtonCtrl() {
         profile = "GuiButtonProfile";
         horizSizing = "right";
         vertSizing = "top";
         position = "590 451";
         extent = "118 22";
         minExtent = "8 2";
         visible = "1";
         command = "changeFilterEntry(filterList.getSelectedID());";
         helpTag = "0";
         text = "Change selected entry";
         groupNum = "-1";
         buttonType = "PushButton";
      };
      new GuiButtonCtrl() {
         profile = "GuiButtonProfile";
         horizSizing = "right";
         vertSizing = "top";
         position = "590 481";
         extent = "118 22";
         minExtent = "8 2";
         visible = "1";
         command = "removeFilterEntry(filterList.getSelectedID());";
         helpTag = "0";
         text = "Remove selected entry";
         groupNum = "-1";
         buttonType = "PushButton";
      };
   };
};

$WiggyMenu::Window[$WiggyMenu::Windows++] = FilterGUIWindow;
$WiggyMenu::Background[$WiggyMenu::Backgrounds++] = bmpFilterGuiBackground;
$WiggyMenu::Text[$WiggyMenu::Texts++] = txtFilterGUI_Target;
$WiggyMenu::Text[$WiggyMenu::Texts++] = txtFilterGUI_CI;
$WiggyMenu::Text[$WiggyMenu::Texts++] = txtFilterGUI_Replace;
$WiggyMenu::Text[$WiggyMenu::Texts++] = txtFilterGUI_with;
$WiggyMenu::Text[$WiggyMenu::Texts++] = txtFilterGUI_who;
$WiggyMenu::Text[$WiggyMenu::Texts++] = txtFilterGUI_what;
$WiggyMenu::Text[$WiggyMenu::Texts++] = txtFilterGUI_whatshould;

function filterGui::onWake(%this) {
$filterTog = 1;
loadFilter();
colormenu($Pref::WP::WM::Background);
}

function filterGui::onSleep(%this) {
$filterTog = 0;
}

//This stuff loads the list
function loadfilter() {
$numbannedwords = -1;
exec("./filter.cs");
filterList.clear();
for(%i = 0; %i < $numbannedwords+1; %i++) {
  %typeval = $bannedwordtype[%i];
  %targval = $bannedtarget[%i];
  %CI      = $caseInsensitive[%i]? "Y" : "N";
  %banval  = $bannedwords[%i];
  %repval  = $replacementword[%i];
  if(%targval !$= "")
    filterList.addRow(%i, %targval TAB %CI TAB %banval TAB %repval);
}
}

//This deleted the stupid filter.cs in tbm/server/ that broke this
//if(getLineCount("tbm/server/filter.cs") >= 1) {
//$a = new fileobject();$a.openforwrite("tbm/server/filter.cs");
//$a.writeline("");$a.close();$a.delete();
//exec("tbm/server/filter.cs");
//}

function filterTog(%val) {
if(%val && $filtertog == 0)
  canvas.pushDialog(filterGui);
else if(%val && $filtertog == 1)
  canvas.popDialog(filterGui);
}

//This stuff loads a filter entry
function loadFilterEntry(%row) {
txtFilterReplace.setValue($bannedwords[%row]);
txtFilterWith.setValue($replacementword[%row]);
if($typeval[%row] == 0)
  menuFilterTarget.setValue("[global]");
if($typeval[%row] == 1)
  menuFilterTarget.setValue("[normal]");
if($typeval[%row] == 2)
  menuFilterTarget.setValue("[mod]");
if($typeval[%row] == 3)
  menuFilterTarget.setValue("[admin]");
chkboxCaseInsensitive.setValue($caseInsensitive[%row]);
txtFilterTarget.setValue(menuFilterTarget.getValue());
if($typeval[%row] == 4) {
  menuFilterTarget.setValue("Name ^");
  txtFilterTarget.setValue($targval[%row]);
}
}


//This stuff adds a new entry to the end of the list
function addFilterEntry() {
if(menuFilterTarget.getValue() $= "[global]")
  %type = 0;
if(menuFilterTarget.getValue() $= "[normal]")
  %type = 1;
if(menuFilterTarget.getValue() $= "[mod]")
  %type = 2;
if(menuFilterTarget.getValue() $= "[admin]")
  %type = 3;
if(menuFilterTarget.getValue() $= "Name ^")
  %type = 4;
%target = menuFilterTarget.getValue();
if(%target $= "Name ^")
  %target = txtfiltertarget.getValue();
%case = chkboxCaseInsensitive.getValue();
%ban = txtfilterreplace.getValue();
%rep = txtfilterwith.getValue();

if(%type == 0)
  %target = "[global]";
if(%type == 1)
  %target = "[normal]";
if(%type == 2)
  %target = "[mod]";
if(%type == 3)
  %target = "[admin]";

$bannedwordtype[$numbannedwords++] = %type;
$caseInsensitive[$numbannedwords] = %case;
$bannedtarget[$numbannedwords] = %target;
$bannedwords[$numbannedwords] = %ban;
$replacementword[$numbannedwords] = %rep;

clearFilterFields();
writeFilterList();
loadFilter();
}


function changeFilterEntry(%row) {
if(menuFilterTarget.getValue() $= "[global]")
  %type = 0;
if(menuFilterTarget.getValue() $= "[normal]")
  %type = 1;
if(menuFilterTarget.getValue() $= "[mod]")
  %type = 2;
if(menuFilterTarget.getValue() $= "[admin]")
  %type = 3;
if(menuFilterTarget.getValue() $= "Name ^")
  %type = 4;
%target = menuFilterTarget.getValue();
if(%target $= "Name ^")
  %target = txtfiltertarget.getValue();
%case = chkboxCaseInsensitive.getValue();
%ban = txtfilterreplace.getValue();
%rep = txtfilterwith.getValue();
if(%type == 0)
  %target = "[global]";
if(%type == 1)
  %target = "[normal]";
if(%type == 2)
  %target = "[mod]";
if(%type == 3)
  %target = "[admin]";

$bannedwordtype[%row] = %type;
$caseInsensitive[%row] = %case;
$bannedtarget[%row] = %target;
$bannedwords[%row] = %ban;
$replacementword[%row] = %rep;
clearFilterFields();
writeFilterList();
loadFilter();
}

function removeFilterEntry(%row) {
txtFilterTarget.setValue("");
txtFilterReplace.setValue("");
txtFilterWith.setValue("");
changeFilterEntry(%row);
}

//This stuff clears stuff and saves stuff
//Very descriptive, isn't it?
function clearFilterFields() {
txtFilterTarget.setValue("");
txtFilterReplace.setValue("");
txtFilterWith.setValue("");
}

function writeFilterList() {
%file = new FileObject();
%file.openForWrite("dtb/client/wiggy/scripts/filter.cs");
%file.writeline("//This file has been automatically generated by the WP (function writeFilterList(), file dtb/client/Wiggy/scripts/filterlist.cs, line 373-ish).");
%file.writeline("//You can go ahead and edit it if you know what you're doing; if you don't, close this file right now because you can mess stuff up if you screw around in here.");
%file.writeline("//If you do edit this, remember to use \\\" for quotation marks inside filter entries, and not just a plain \".");
%file.writeLine("$numbannedwords = -1;");
for(%i = 0; %i <= $numbannedwords; %i++) {
  if ($bannedwordtype[%i] $= "" || $bannedwords[%i] $= "")
    %cor++;
  else {
    %file.writeLine(
                    "$bannedwordtype[$numbannedwords++]="@$bannedwordtype[%i]@";"@
                    "$caseInsensitive[$numbannedwords]="@!!$caseInsensitive[%i]@";"@
                    "$bannedtarget[$numbannedwords]=\""@$bannedtarget[%i]@"\";"@
                    "$bannedwords[$numbannedwords]=\""@$bannedwords[%i]@"\";"@
                    "$replacementword[$numbannedwords]=\""@$replacementword[%i]@"\";");
  }
}
%file.close();
%file.delete();
exec("dtb/client/wiggy/scripts/filter.cs");
}

//Console method for adding new filter entries on the fly
function addFilter(%ban, %rep, %case) {
$bannedwordtype[$numbannedwords++] = 0;
$caseInsensitive[$numbannedwords] = %case;
$bannedtarget[$numbannedwords] = "[global]";
$bannedwords[$numbannedwords] = %ban;
$replacementword[$numbannedwords] = %rep;
writeFilterList();
}

if(menuFilterTarget.findText("[global]") == -1 )
  menuFilterTarget.add("[global]", 0);
if(menuFilterTarget.findText("[normal]") == - 1 )
  menuFilterTarget.add("[normal]", 1);
if(menuFilterTarget.findText("[mod]") == - 1 )
  menuFilterTarget.add("[mod]", 2);
if(menuFilterTarget.findText("[admin]") == - 1 )
  menuFilterTarget.add("[admin]", 3);
if(menuFilterTarget.findText("Name ^") == - 1 )
  menuFilterTarget.add("Name ^", 4);
menuFilterTarget.setValue("[global]");
loadFilter();
$filtertog=0;