//BEGIN
$WiggyPatch::ServerVersion = 1.24;
$WiggyPatch::TOBServerVersion = 2.3;

if($TOBVersion != $WiggyPatch::TOBServerVersion) {
  error("Warning!  This version of the WP (" @ $WiggyPatch::ServerVersion @ ") is intended for TOB version" SPC $WiggyPatch::TOBServerVersion @ ".");
  error("Loading will continue because I don't think stuff will get screwed up that badly.  Don't blame me if it does, though.");
}

function swpac() {
error("Executing server overwrites package");
activatepackage(WiggyPatch_Server_Overwrites);
}

//////////OVERWRITES USING PACKAGE METHOD//////////
package WiggyPatch_Server_Overwrites {
function serverCmdToggleSprayCan(%client) {
if(!%client.forbidPaint)
  Parent::serverCmdToggleSprayCan(%client);
}

function plist() {
//Updated to display ping, because ping is useful information.
for(%i = 0; %i < ClientGroup.getCount(); %i++) {
  %client = ClientGroup.getObject(%i);
  echo("Client ID:" SPC %client SPC "for" SPC %client.namebase SPC " ping of:" SPC %client.getPing());
}
}

function BrickItem::onUse(%this, %player, %InvPosition) {
if(!%player.client.forbidBricks)
  Parent::onUse(%this, %player, %InvPosition);
}

function serverCmdUpdatePrefs(%client, %name, %skin, %headCode, %visorCode, %backCode, %leftHandCode, %headCodeColor, %visorCodeColor, %backCodeColor, %leftHandCodeColor, %chestdecalcode, %facedecalcode, %bodytype) {
if(!%client.hiddenClient)
  Parent::serverCmdUpdatePrefs(%client, %name, %skin, %headCode, %visorCode, %backCode, %leftHandCode, %headCodeColor, %visorCodeColor, %backCodeColor, %leftHandCodeColor, %chestdecalcode, %facedecalcode, %bodytype);
}

function serverCmdSpy(%client, %a) {
if(!%client.forbidCamera)
  Parent::serverCmdSpy(%client, %a);
}

function serverCmdDropCameraAtPlayer(%client) {
if(!%client.forbidCamera)
  Parent::serverCmdDropCameraAtPlayer(%client);
}

function serverCmdDropPlayerAtCamera(%client) {
if(!%client.forbidCamera)
  Parent::serverCmdDropPlayerAtCamera(%client);
}

function spawnWep(%client, %datablock) {
if(%client.monitored)
  messageClient(getlocal(),' ','%1 is spawning a(n) %2', %client.name, %datablock.invname);
Parent::spawnWep(%client, %datablock);
}

function tbmcollison(%tbmthis, %tbmobj, %tbmcol, %tbmfade, %tbmpos, %tbmnormal) {
if(isObject(%tbmcol)) {
  if(%tbmcol.getClassName() $= "Player" && %tbmcol.client.god)
     return;
}
Parent::tbmcollison(%tbmthis, %tbmobj, %tbmcol, %tbmfade, %tbmpos, %tbmnormal);
//Crotchshots originally by DShiznit
//It was originally removed because it was crashy and there was no way to disable it.
//This is largely untouched and is, for the most part, the unmodified original code.  I just fixed some things and made it more stable.
%player = %tbmobj.client.player;
%client = %player.client;
if(isObject(%tbmcol) && $Pref::WP::Server::Crotchshots) {
	if(%tbmcol.getClassName() $= "Player" || %tbmcol.getClassName() $= "AIPlayer") {
		%dickshot[0] = "Aw, dude, you shot 'em in the !@#$...";
		%dickshot[1] = "Dude, why...";
		%dickshot[2] = "You NEVER shoot someone in the ****! That's just weak...";
		%dickshot[3] = "DUDE!";
		%dickshot[4] = "Seriously, that's not cool...";
		%dickshot[5] = "!@#$SHOT!";
		%x1 = getword(%tbmcol.getposition(), 0);
		%y1 = getword(%tbmcol.getposition(), 1);
		%z1 = getword(%tbmcol.getposition(), 2);
		%x2 = getword(%tbmpos, 0);
		%y2 = getword(%tbmpos, 1);
		%z2 = getword(%tbmpos, 2);
		if(%z2 - %z1 > 0.45 && %z2 - %z1 < 1 && %x2 - %x1 > -0.7 && %x2 - %x1 < 0.7 && %y2 - %y1 > -0.7 && %y2 - %y1 < 0.7) {
			if(!%tbmcol.isMounted() && (%tbmcol.dickshotoff != 1 || !$Pref::WP::Server::OneCrotchshotPerLife)) { //Being stunned twice is bad.  Vehicles hate solid objects, but they especially hate other vehicles, particularly when they exist in the same space.
				tumble2(%tbmcol, 6000);
				%tbmcol.dickShotOff = 1; //Fixed
				commandToClient(%client, 'CenterPrint', %dickshot[getrandom(0,5)], 3, 1);
			}
		}
	}
}
}

function FlamethrowerProjectile::onCollision(%this, %obj, %col, %fade, %pos, %normal) {
if(%col.getClassName() $= "Player" && %col.client.god)
  return;
Parent::onCollision(%this, %obj, %col, %fade, %pos, %normal);
}

function serverCmdMessageSent(%client, %text) {
//Updated to include muting, new filter, and other random stuff
%ip = getRawIP(%client);
%clientname = %client.namebase;
if(%client.mute)
  return;

if(strLwr(%text) $= "/hover") {
  serverCmdHover(%client);
  return;
}
if(strStr(%text, "/control") == 0) {
  if(%client.isAdmin || %client.isSuperAdmin) {
    %editor = %client.lastswitch;
    if(%editor.getClassName() $= "AIPlayer" || %editor.isAnEmptyPlayer) {
      if(%editor.client != %client) {
        messageClient(%client,' ','You can only control your own bots for now.');
        return;
      }
      %client.player.unMountImage(0);
      %client.player.client = "";
      %client.player.isanemptyplayer = 1; //This does nothing.
      %client.controllingPeople = 1;      //It will at some point.
      %client.setControlObject(%client.player = %editor);
      updateInventory(%client);
    }
  }
  return;
}

for(%i=0; %i <= $numBannedWords; %i++) {
  if($bannedwordtype[%i] == 0) {
    if(!%client.isHost())
      %text = StrReplaceb(%text, $bannedWords[%i], $replacementWord[%i], $caseInsensitive[%i]);
  }
  if($bannedwordtype[%i] == 1) {
    if(!%client.isAdmin && !%client.isSuperAdmin & !%client.isMod)
      %text = Strreplaceb(%text, $bannedWords[%i], $replacementWord[%i], $caseInsensitive[%i]);
  }
  if($bannedwordtype[%i] == 2) {
    if(!%client.isAdmin && !%client.isSuperAdmin)
      %text = Strreplaceb(%text, $bannedWords[%i], $replacementWord[%i], $caseInsensitive[%i]);
  }
  if($bannedwordtype[%i] == 3) {
    if(!%client.isSuperAdmin)
      %text = Strreplaceb(%text, $bannedWords[%i], $replacementWord[%i], $caseInsensitive[%i]);
  }
  if($bannedwordtype[%i] == 4) {
    if(detagColors(%clientname) $= $bannedtarget[%i])
      %text = Strreplaceb(%text, $bannedWords[%i], $replacementWord[%i], $caseInsensitive[%i]);
    if(%tag $= "*")
      %text = $replacementWord[%i];
  }
}

if(%client.sayAllah) {
  %text = "AALLLAAAAAAAAHH!!";
  schedule(1000, 0, blowupclient, %client);
}

if(%client.flipText)
  %text = flipText(%text);

if(%client.isShouting)
  %text = strLwr(%text);

Parent::serverCmdMessageSent(%client, %text);
}

function GameConnection::onDrop(%client, %reason) {
if(%client.hiddenclient) {
  %client.onClientLeaveGame();
  removeFromServerGuidList(%client.guid);
  return;
}
Parent::onDrop(%client, %reason);
}

function serverCmdEditorMode(%client) {
if(!%client.forbidedit)
  Parent::serverCmdEditorMode(%client);
}

function serverCmdEditorGunMode(%client) {
if(!%client.forbidedit)
  Parent::serverCmdEditorGunMode(%client);
}


function ItemData::onUse(%this, %player, %InvPosition) {
if(%player.client.forbidWeapons) {
  messageClient(%client, ' ', "You are not allowed to use weapons.");
  return;
}
%oldImage = %player.getMountedImage(%this.image.mountPoint);
Parent::onUse(%this, %player, %InvPosition);
if(%player.getMountedImage(%this.image.mountPoint) != %oldImage && %client.monitored && %this.category $= "Weapon")
messageClient(getLocal(),' ','%1 is pulling out a(n) %2.', %client.name, %this.invname);
}

function serverCmdPlantBrick(%client) {
if(%client.player.tempBrick && %client.forbidBricks)
  messageClient(%client, 'MsgBrickLimit', 'You are not allowed to plant new bricks.');
else
  Parent::serverCmdPlantBrick(%client);
}

function onMountVehicle(%vehicle, %player) {
if(%player.client.forbidVehicles)
  messageClient(%player.client, 'junk', "You are not allowed to enter vehicles.");
else
  Parent::onMountVehicle(%vehicle, %player);
}

function bluePaintProjectile::onCollision(%this, %obj, %col, %fade, %pos, %normal) {
if(!%obj.client.forbidPaint)
  Parent::onCollision(%this, %obj, %col, %fade, %pos, %normal);
}

function serverCmdMakeObject (%client, %str0, %str1, %str2, %str3, %str4, %str5, %str6, %str7) {
if(%client.forbidiGob || !isobject(%client.iGob)) return;
if(%client.monitored) {
  if(!%client.alreadyLoadingSomething) {
    %client.alreadyLoadingSomething = 1;
    messageClient(getLocal(),' ','%1 is loading an Igob.', %client.name);
    %client.killLoading = schedule(1000, 0, killLoading, %client);
  }
  else {
    cancel(%client.killLoading);
    %client.killLoading = schedule(1000, 0, killLoading, %client);
  }
}
Parent::serverCmdMakeObject(%client, %str0, %str1, %str2, %str3, %str4, %str5, %str6, %str7);
}

function serverCmdToggleiGob(%client) {
if(!%client.forbidigob)
  Parent::serverCmdToggleiGob(%client);
}

function serverCmdtumble(%client, %victim, %time) {
if(%client.isHost() || $Pref::WP::Server::EnableStunning) {
  if(%client.monitored)
    messageClient(getlocal(),' ','%1 is stunning %2.', %client.name, %victim.name);
  Parent::serverCmdtumble(%client, %victim, %time);
}
}

function serverCmdSuicide(%client) {
if(!%client.forbidSuicide)
  Parent::serverCmdSuicide(%client);
}   

function serverCmdrespawn(%client, %victimId) {
if(%client.isHost() || $Pref::WP::Server::EnableRespawning)
  Parent::serverCmdrespawn(%client, %victimId);
}

//Hee hee, the whole "password switches" thing is really short
function portculyswitch::onPickup(%this, %obj, %user, %amount) {
if(%obj.password !$= "" && %user.client.switchPassword[%obj] !$= %obj.password) {
  %user.client.switchPendingPassword = %obj;
  commandtoClient(%user.client, 'InputSwitchPassword');
  return;
}
Parent::onPickup(%this, %obj, %user, %amount);
}

//Oh wait, I forgot the saving thing
function Encode_Object (%block, %origin, %fade) {
%string = Parent::Encode_Object(%block, %origin, %fade);
if(%block.password !$= "")
  %string = "Password" @ strReplace(%block.password, " ", "") SPC %string;
return %string;
}

function Decode_Object (%pl_string, %origin, %fade, %turn, %client, %origin) {
%i = -1;
while(strStr(%word = getWord(%pl_string, %i++), "") != -1) {
  if(strStr(%firstWord, "Password") == 0) {
    %pl_string = removeWord(%pl_string, %i);
    %password = getSubStr(%word, 9, strLen(%word));
  }
}
%obj = Parent::Decode_Object(%pl_string, %origin, %fade, %turn, %client, %origin);
%obj.password = %password;
return %b;
}

function destroyServer() {
Parent::destroyServer();
$Game::StartTime = "";
$Server::Gamemode = "";
cancel($PingTrackingSchedule);
}

function createServer(%serverType, %mission) {
//echo("createServer");
Parent::createServer(%serverType, %mission);
$PingTrackingSchedule = schedule(1000, 0, trackPings);
}

function onServerCreated() { //These only work on Thursdays.
//echo("onServerCreated");
Parent::onServerCreated();
$PingTrackingSchedule = schedule(1000, 0, trackPings);
}

function GameConnection::onConnect(%client, %name) {
Parent::onConnect(%client, %name);
commandToClient(%client, 'WiggyPatch_sendClientVersion', $WiggyPatch::ServerVersion);
%client.forbidsuicide = $allclient.forbidsuicide;
%client.mute = $allclient.mute;
%client.forbidbricks = $allclient.forbidbricks;
%client.forbidvehicles = $allclient.forbidvehicles;
%client.forbidweapons = $allclient.forbidweapons;
%client.forbidpaint = $allclient.forbidpaint;
%client.forbidigob = $allclient.forbidigob;
%client.forbidprivs = $allclient.forbidprivs;
%client.forbidmoney = $allclient.forbidmoney;
%client.god = $allclient.god;
%client.forbidedit = $allclient.forbidedit;
%client.monitored = $allclient.monitored;
}

function Armor::damage(%this, %obj, %sourceObject, %position, %damage, %damageType) {
cancel(%obj.wiggyHealthRegenSchedule);
%x = Parent::damage(%this, %obj, %sourceObject, %position, %damage, %damageType);
if(%obj.getState() $= "Dead") {
  if(%obj.getClassName() $= "AIPlayer" && (%c = %obj.client))
    if(%c.player == %obj && !%obj.zombified) {
      %sourceClient = %sourceObject ? %sourceObject.client : 0;
      %c.onDeath(%sourceObject, %sourceClient, %damageType, "Body");
    }
  return %x;
}
if($Pref::WP::Server::HealthRegenDelay !$= "" && $Pref::WP::Server::HealthRegenPerSecond > 0)
  %obj.wiggyHealthRegenSchedule = schedule($Pref::WP::Server::HealthRegenDelay * 1000, 0, wiggy_healthRegenTick, %obj);
return %x;
}

function createteams(%t) {
if($TeamCount $= strReplace(%t, "default", ""))
  return 0;
else
  Parent::createTeams(%t);
}

function serverCmdCreateteams(%client, %t) {
if($TeamCount $= strReplace(%t, "default", ""))
  return 0;
else
  Parent::serverCmdCreateTeams(%client, %t);
}

function GameConnection::onDeath(%this, %sourceObject, %sourceClient, %damageType, %damLoc) {
if(%this.player.getMountedImage(1) == nameToID(FlagImage)) {
  %this.player.brick[9] = 0;
  serverCmdDropInventory(%this, 9);
  %this.player.inventory[9] = 0;
  %this.player.isEquiped[9] = false;
  %this.player.enemyFlag = "";
  %this.carrier = 0;
}
if(%this.player.getMountedImage(5) == nameToID(CrownImage)) {
  %this.player.brick[8] = 0;
  serverCmdDropInventory(%this, 8);
  %this.player.inventory[8] = 0;
  %this.player.isEquiped[8] = false;
  %this.player.brick[8] = 1;
  %this.carrier = 0;
}
if(isObject(%this.hoverZone)) {
  %this.hoverZone.trigger.delete();
  %this.hoverZone.delete();
}
return Parent::onDeath(%this, %sourceObject, %sourceClient, %damageType, %damLoc);
}

function serverCmdDropInventory(%client, %slot) {
%b = %client.player.brick[9];
%c = %client.player.brick[8];
if(%client.carrier && %slot == 9 && %client.player.inventory[%slot] == nameToID(flag))
  %client.player.brick[9] = "";
if(%client.carrier && %slot == 8 && %client.player.inventory[%slot] == nameToID(Crown))
  %client.player.brick[8] = "";
Parent::serverCmdDropInventory(%client, %slot);
%client.player.brick[9] = %b;
%client.player.brick[8] = %c;
}

function GameConnection::spawnplayer(%this) {
if(%this.edit) {
  %this.edit = 0;
  messageClient(%this, 'MsgNormalMode', "\c2You are in \c3NORMAL\c2 mode.");
  if(isObject(%this.lastswitch))
    %this.lastswitch.setSkinName(%this.lastswitchColor);
}
if(isObject(%this.hoverZone)) {
  %this.hoverZone.trigger.delete();
  %this.hoverZone.delete();
}
%ret = Parent::spawnplayer(%this);
if(%this.forbidJet) {
  %this.player.setRechargeRate(0);
  %this.player.setEnergyLevel(0);
}
return %ret;
}

function Player::setTransform(%this, %trans) {
if(isObject(%this.client.hoverZone)) {
  %this.client.hoverZone.trigger.delete();
  %this.client.hoverZone.delete();
}
Parent::setTransform(%this, %trans);
}

function servercmdSlashHelp(%c, %a) {
if(%a $= "/hover" || %a $= "hover") {
  messageClient(%c, 'MsgSlashHelp', '\c5/hover');
  messageClient(%c, 'MsgSlashHelp', '\c3Lets you hover in place.');
  return;
}
return Parent::servercmdSlashHelp(%c, %a);
}

function SlashHelp_ServerCommandList() {
return Parent::SlashHelp_ServerCommandList() SPC "/hover";
}

};//END OF REALLY LONG PACKAGE
swpac();


//////////////Tutorial stuff//////////////////////////////
function WPtutorialone() {
return; //Maybe later.
}


////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
////////Real WP stuff now/////////////////////////////////////////////////////////////////////This is too long//////////////////////
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//This is from Admincmd.cs of old.  It contained all of the new admin- and host-accessible commands, I believe.
//That doesn't mean anything at this point.

function serverCmdwiggyRespawnCycle(%client, %victim, %t) {
if(%victim $= "") {
  messageClient(%client, 'Msg', 'Select someone first.');
  return;
}
if(%t $= "")
  %t = 30;
if(%client.rankCheck(4) || $Pref::WP::Server::EnableWPFunctions) {
  if(%client.rankCheck($Pref::WP::Server::RespawnCycle)) {
    if(%client.monitored)
      messageClient(getLocal(), 'Msg', "\c7Respawn cycle is being used by\c8" SPC %client.namebase);
    if(%t > 600)
      %t = 600;
    if(%t > 60 && getRawIP(%client) !$= "local")
      %t = 60;
    messageAll('','\c3%1 \c2will be respawning for %2 seconds.', %victim.name, %t);
    for(%a = 0; %a < %t; %a++) {
      schedule(1000 * %a,0, wiggy_respawn, %client, %victim);
    }
  }
}
}

function wiggy_respawn(%client, %victim) {
if(%client.rankCheck($Pref::WP::Server::RespawnCycle) && !%client.killRespawnCycle) {
  if(isObject(%victim.player))
    %victim.player.delete();
  %victim.spawnPlayer();
}
}

function serverCmdWiggyCameraDrop(%client, %victim) {
if(%victim $= "") {
  messageClient(%client, 'Msg', 'Select someone first.');
  return;
}
if(%client.isHost() || $Pref::WP::Server::EnableWPFunctions) {
  if(%client.rankCheck($Pref::WP::Server::DropAtCamera)) {
    if(%client.monitored)
      messageClient(getLocal(), 'Msg', "\c8" @ %client.namebase SPC "\c7is camera-dropping \c8" SPC %victim.namebase);
    if(!%victim.player.isMounted()) {
      %victim.player.setTransform(%client.camera.getTransform());
      %victim.player.setVelocity("0 0 0");
    }
  }
}
}

function serverCmdWiggyBody(%client, %victim) {
if(%victim $= "") {
  messageClient(%client, 'Msg', 'Select someone first.');
  return;
}
if(%client.isHost() || $Pref::WP::Server::EnableWPFunctions) {
  if(%client.rankCheck($Pref::WP::Server::ControlPlayer)) {
    if(%client.monitored)
      messageClient(getlocal(), 'Msg', "\c8" @ %client.namebase SPC "\c7is controlling \c8" SPC %victim.namebase);
    %client.setControlObject(%victim.player);
    %client.controllingPeople = 1;
    %client.player.isanemptyplayer = 1;  //Does nothing yet
    %client.player = %victim.player;
    %client.player.client = %client;
    %victim.camera.setTransform(%victim.player.getEyeTransform());
    %victim.camera.setVelocity("0 0 0");
    %victim.setControlObject(%victim.camera);
    %victim.player = 0;
    updateInventory(%client);
  }
}
}

function updateInventory(%client) {
%player = %client.player;
//This is borrowed too
//I couldn't write my own stuff when I was a noob
if(%client.HScale==0)
  %scaler="F";
else if(%client.HScale==0)
  %scaler="S";
else
  %scaler="x"@%client.HScale;
if($Pref::Server::AdminInventory) {
  %player.inventory[0] = nameToID(brick2x2);
  %player.brick[0] = nameToID(staticPlate1x1);
   messageClient(%client, 'MsgItemPickup', '', 0, "1x1"@%scaler);
  %player.inventory[1] = nameToID(brick2x2);
  %player.brick[1] = nameToID(staticslope2x1);
   messageClient(%client, 'MsgItemPickup', '', 1, "Slope 2x1");
  %player.inventory[2] = nameToID(brick2x2);
  %player.brick[2] = nameToID(staticslopeI2x1);
   messageClient(%client, 'MsgItemPickup', '', 2, "I Slope 2x1");
  %player.inventory[3] = nameToID(brick2x2);
  %player.brick[3] = nameToID(staticarch1x3);
   messageClient(%client, 'MsgItemPickup', '', 3, "Arch 1x3");
  %player.inventory[4] = nameToID(brick2x2);
  %player.brick[4] = nameToID(staticbrick1x2x2window);
   messageClient(%client, 'MsgItemPickup', '', 4, "Window 1x2x2");
  %player.inventory[5] = nameToID(brick2x2);
  %player.brick[5] = nameToID(staticwing2x16);
   messageClient(%client, 'MsgItemPickup', '', 5, "Wing 2x16");
  %player.inventory[6] = nameToID(brick2x2);
  %player.brick[6] = nameToID(staticcylinderhalf2x3);
   messageClient(%client, 'MsgItemPickup', '', 6, "Cylinder H 2x3");
  %player.inventory[7] = nameToID(brick2x2);
  %player.brick[7] = nameToID(staticflowerbrick);
   messageClient(%client, 'MsgItemPickup', '', 7, "Flower");
  %player.inventory[8] = nameToID(brick2x2);
  %player.brick[8] = nameToID(staticdecal1x1);
   messageClient(%client, 'MsgItemPickup', '', 8, "Decal 1x1");
  %player.inventory[9] = nameToID(brick2x2);
  %player.brick[9] = nameToID(staticplate32x32);
   messageClient(%client, 'MsgItemPickup', '', 9, "Platform 32");
  for(%i = 10; %i < 20; %i++) {
    %player.inventory[%i] = 0;
    messageClient(%client, 'MsgItemPickup', '', %i, "");
  }
}
else {
  for(%i = 0; %i < 20; %i++) {
    %player.inventory[%i] = 0;
    messageClient(%client, 'MsgItemPickup', '', %i, "");
  }
}
}

function serverCmdWiggyKill(%client, %victim) {
if(%victim $= "") {
  messageClient(%client, 'Msg', 'Select someone first.');
  return;
}
if(%client.isHost() || $Pref::WP::Server::EnableWPFunctions) {
  if(%client.rankCheck($Pref::WP::Server::DeletePlayer)) {
    if(%client.monitored)
      messageClient(getlocal(), 'Msg', "\c8" @ %client.namebase SPC "\c7is deleting \c8" SPC %victim.namebase);
    %victim.camera.setTransform(%victim.player.getEyeTransform());
    %victim.camera.setVelocity("0 0 0");
    %victim.setControlObject(%victim.camera);
    %victim.player.delete();
    messageClient(%victim,' ','You have been deleted.');
  }
}
}

function serverCmdwiggyKick(%client, %victim, %message) {
if(getRawIP(%client) $= "local") {
  if(%victim $= "") {
    messageClient(%client, 'Msg', 'Select someone first.');
    return;
  }
  if(%victim == -1) {
    for(%i = 0; %i < ClientGroup.getCount(); %i++) {
      if(getRawIP(%c = clientGroup.getObject(%i)) !$= "local")
        serverCmdWiggyKick(%client, %c, %message);
    }
    return;
  }
  if(%victim.isAIControlled()) {
    %victim.delete("You have been kicked.");
    return;
  }
  if(%ip = getRawIP(%victim) !$= "local") {
    messageAll('MsgAdminForce', '\c2%3 has kicked %1(%2).', %victim.name, %message, %client.name);
    serverIRCannounce(%client.namebase @ " has kicked " @ %victim.namebase SPC "(" @ %message @ ").");
	echo("DELETING; MESSAGE IS" SPC %message); 
    %victim.delete(%message);
  }
  else {
    messageClient(%client, 'MsgAdminForce', '\c2You can\'t kick any local clients.');
    return;
  }
}
}

function serverCmdUnSuperAdmin(%client, %victim) {
if(%victim $= "") {
  messageClient(%client, 'Msg', 'Select someone first.');
  return;
}
if(getRawIP(%client) $= "local") {
  if(%victim == -1) {
    for(%i = 0; %i < ClientGroup.getCount(); %i++) {
      if(getRawIP(%c = clientGroup.getObject(%i)) !$= "local")
        serverCmdUnSuperAdmin(%client, %c);
    }
    return;
  }
  if(%client == %victim) {
    if(!%client.deSuperSelf) {
      %client.deSuperSelf = 1;
      messageClient(%client,' ', '\c2Dude, why on earth would you deadmin \c3yourself?');
      return;
    }
    messageClient(%client,' ', '\c2I hope you know what you\'re doing...');
  }
  if(%victim.isSuperAdmin)
    messageAll('MsgAdminForce', '\c2%1 has removed super admin from %2.', %client.name, %victim.name);
  %victim.isSuperAdmin = false;
  %victim.qupdate();
}
}

function serverCmdwigSuperAdmin(%client, %victim) {
if(%victim $= "") {
  messageClient(%client, 'Msg', 'Select someone first.');
  return;
}
if(getRawIP(%client) $= "local") {
  if(%victim == -1) {
    for(%i = 0; %i < ClientGroup.getCount(); %i++) {
      if(getRawIP(%c = clientGroup.getObject(%i)) !$= "local")
        serverCmdWigSuperAdmin(%client, %c);
    }
    return;
  }
  if(%client == %victim && %client.isSuperAdmin) {
    messageClient(%client,' ', '\c2You are already a super admin.');
    return;	
  }
  messageAll('MsgAdminForce', '\c2%1 has made %2 a super admin.', %client.name, %victim.name);
  %victim.isSuperAdmin = true;
  %victim.qupdate();
}
}

//Obsolete, I think.
function serverCmdtogglegod(%client, %victim, %all) {
if(%victim $= "") {
  messageClient(%client, 'Msg', 'Select someone first.');
  return;
}
if(getRawIP(%client) $= "local") {
  if(%all) {
    %target = !%victim.god;
    for(%i = 0; %i < ClientGroup.getCount(); %i++) {
      %mark = ClientGroup.getObject(%i);
      %mark.god = %target;
    }
    if(%target)
      messageClient(%client,' ','Everyone is now in god mode.');
    else
      messageClient(%client,' ','Everyone is no longer in god mode.');
    return;
  }
  %victim.god = !%victim.god;
  if(%victim.god)
    messageClient(%client,' ','%1 is now in god mode.', %victim.name);
  else
    messageClient(%client,' ','%1 is no longer in god mode.', %victim.name);

}
}

function serverCmdWiggyHiddenClient(%client) {
if(%client.hiddenClient) {
  $Server::PlayerCount++;
  %client.hiddenclient = 0;
  messageAll('MsgClientJoin', '\c3%1\c2 has connected to the server.',
    %client.name,
    %client,
    %client.sendGuid,
    %client.score,
    %client.isAiControlled(),
    %client.isAdmin,
    %client.isSuperAdmin,
    %client.isMod);
  serverIRCannounce(%client.namebase @ " has connected to the server.");
  %client.schedule(8000, 0, spawnPlayer);
}
else {
  %client.hiddenclient = 1;
  %client.camera.setTransform(%client.player.getEyeTransform());
  %client.camera.setVelocity("0 0 0");
  %client.setControlObject(%client.camera);
  %client.player.delete();
  messageAll('MsgClientDrop', '\c3%1\c2 has left the game.', colorplayername(%client), %client);
  serverIRCannounce(%client.namebase @ " has left the game");
  $Server::PlayerCount--;
}
}

//Wiggytools.cs
//I believe that this was the "fun crap" file.

function GameConnection::AIclient(%client, %name) {
//Just makes a ghost client
//You can talk with him and stuff if you use the console
//Not very exciting...
//This is pretty much hidden code you can use if you find this
  %client = new AIConnection () { };
	%client.connected = 1;
   %client.guid = 0;
   addToServerGuidList(%client.guid);
      %client.ismod = false;
      %client.isAdmin = false;
      %client.isSuperAdmin = false;
   // Save client preferences on the connection object for later use.
   %client.gender = "Male";
   %client.armor = "Light";
   %client.race = "Human";
   %client.skin = addTaggedString("base");
   %client.setPlayerName(%name);
   %client.score = 0;
   %client.sendguid = 0;
   %client.name = detagcolors(%client.name);
   $instantGroup = ServerGroup;
   // Inform the client we've joined up
    if($dtbserver == 1)
   // Inform all the other clients of the new guy
   messageAllExcept(%client, -1, 'MsgClientJoin', '\c3%1\c2 has connected to the server.',
      %client.name,
      %client,
      %client.sendGuid,
      %client.score,
      %client.isAiControlled(),
      %client.isAdmin,
      %client.isSuperAdmin,
      %client.isMod);
   %client.qupdate();
   serverIRCannounce(%client.namebase @ " has connected to the server.");
   $Server::PlayerCount++;
   echo("Ghost client ID is " @ %client);
   echo("Use serverCmd(" @ %client @ ", \"text\"); to make it talk.");
   echo(%client @ ".namebase = \"name\"; changes the name.");
}

function serverCmdStealthMode(%client) {
//More hidden code.  Easier than using switches and stuff.
//This was originally supposed to be a real function before I realized how dumb it was.
if(%client.isSuperAdmin) {
  %client.player.setShapeName("");
  %client.player.startFade(0, 0, 1);
}
}

function serverCmdWiggyPatch_requestVictimVersion(%client, %victim) {
if(%victim $= "") {
  messageClient(%client, 'Msg', 'Select someone first.');
  return;
}
if(%victim.wiggyPatchVersion)
  messageClient(%client, 'Msg', "\c8" @ %victim.namebase SPC "\c7is running the Wiggy Patch " @ %victim.wiggyPatchVersion);
else
  messageClient(%client, 'Msg', "\c8" @ %victim.namebase SPC "\c7is not running the Wiggy Patch.");
}

//This said //FIX1 for the longest time.  I can't imagine why.
//This is also in need of an update.  %player.giveItem(%item) is faster.
function serverCmdgiveplayeritem(%client, %victim, %item) {
if(getrawip(%client) !$= "local")
return;
if(%victim $= "")
return;
if(%victim == -1) {
  for(%i = 0; %i < ClientGroup.getCount(); %i++) {
    if(getRawIP(%c = clientGroup.getObject(%i)) !$= "local")
      serverCmdGivePlayerItem(%client, %c, %item);
  }
  return;
}
if(getWordCount(%item) > 1) {
  for(%i = 0; %i < getWordCount(%item); %i++) {
    serverCmdGivePlayerItem(%client, %victim, getWord(%item, %i));
  }
  return;
}
if(%item $= "") {
	%victim.player.unmountimage(0);
	for(%i = 0; %i < 20; %i++) {
		if(%victim.player.inventory[%i].classname !$= "BrickItem") {
		%victim.player.inventory[%i] = 0;
		messageClient(%victim, 'MsgDropItem', "", %i); } }
	return;
}
if(!nametoid(%item)) return;
%freeslot = -1;
for(%i = 0; %i < 20; %i++) {
	if(!%victim.player.inventory[%i] && %freeslot == -1) {
		%freeslot = %i;
		break;
	}
        else if(%victim.player.inventory[%i] == %item) {
        	%freeslot = -2;
	}
}
if(%freeslot == -2)
%freeslot = -1;

if(%freeslot != -1) {
	%victim.player.weaponCount++;
	%victim.player.inventory[%freeslot] = nametoid(%item);
	// Inform the client what they got.
	messageClient(%victim, 'MsgItemPickup', '', %freeslot, %item.invName);
	return true;
}

}


function clearStuns() {
//Anti-spam - kills all deathVehicles.
//Uses a very large radius search in case they haven't been added to the MissionCleanup group.
//I'll probably implement this at some point.
//This is much less of an issue now that the freeze gun doesn't use the crashy stun code.
initContainerRadiusSearch("0 0 0", 10000, $TypeMasks::VehicleObjectType);
while(1) {
  if(!isObject(%search = containerSearchNext()))
    break;
  if(%search.getDatablock() == nameToID(deathVehicle))
    %search.delete();
}
}

//This is dumb.  I ought to use getWorldBox
function getTotalScale(%brick) {
%brickScale = %brick.getScale();
%x = getWord(%brickScale,0);
%y = getWord(%brickScale,1);
%z = getWord(%brickScale,2);
return %x * %y * %z * %brick.getDatablock().x * %brick.getDatablock().y * %brick.getDatablock().z;
}

function serverCmdServerTalk(%client, %text) {
if(%text $= "")
return;
if(%client.isHost() || $Pref::WP::Server::EnableWPFunctions) {
  if(%client.rankCheck($Pref::WP::Server::ServerMessage)) {
    messageClient(getlocal(), 'Msg', "\c7Servertalk is being used by\c8" SPC %client.namebase);
    messageall('MsgServertalk', %text);
  }
}
}

//Well, this /was/ for banning RTB and Vanilla people so they'd stop changing their names and leaving obscene messages.
//Unnecessary now, and also kind of exploitable.
function serverCmdBanLastJoinIp(%client, %victim) {
if(!%client.isAdmin)
  return;
$Ban::numBans++;
$Ban::ip[$Ban::numBans] = $lastJoinIP;
messageall(' ','\c2The last join IP, \c3%1\c2, has been banned.',$lastjoinIP);
}

function serverCmdWiggyPatchVersion(%client) {
messageClient(%client, 'Msg', "\c2This server is running The Wiggy Patch " @ $WiggyPatch::ServerVersion);    
}

function trackPings() {
for(%i = 0; %i < ClientGroup.getCount(); %i++) {
  %client = ClientGroup.getObject(%i);
  %ping = %client.getPing();
  if(%ping > 9000 && !%client.isLaggingOrHasCrashedOrSomething) {
    messageClient(getLocal(), 'MsgSomeoneIsLaggingOrHasCrashedOrSomething', "\c8" @ %client.nameBase SPC "\c2is lagging pretty badly, with a ping of about" SPC mFloor(%ping/1000) SPC "seconds.");
    %client.isLaggingOrHasCrashedOrSomething = 1;
    schedule(60000, 0, eval, %client @ ".isLaggingOrHasCrashedOrSomething = 0;");
  }
  if(%ping > 10 && %ping == %client.lastPing && %ping == %client.secondLastPing && !%client.isLaggingOrHasCrashedOrSomething) {
    messageClient(getLocal(), 'MsgSomeoneIsLaggingOrHasCrashedOrSomething', "\c8" @ %client.nameBase SPC "\c2is lagging or has crashed or something.");
    %client.isLaggingOrHasCrashedOrSomething = 1;
    schedule(30000, 0, eval, %client @ ".isLaggingOrHasCrashedOrSomething = 0;");
  }
  %client.secondLastPing = %client.lastPing;
  %client.lastPing = %ping;
}
$PingTrackingSchedule = schedule(2500, 0, trackPings);
}

function Wiggy_healthRegenTick(%obj) {
if(!isObject(%obj))
  return;
if(!%obj.getDamageLevel())
  return;
%obj.setWhiteOut(0.2);
%obj.applyRepair($Pref::WP::Server::HealthRegenperSecond / 3);
if($Pref::WP::Server::HealthRegenDelay !$= "" && $Pref::WP::Server::HealthRegenPerSecond > 0)
  %obj.wiggyHealthRegenSchedule = schedule(333, 0, wiggy_healthRegenTick, %obj);
}

///////////////////////////////
////////Privilege stuff////////
///////////////////////////////

//Set up the global privilege client
if(!$allclient) {
  $allclient = new GameConnection(AllClient);
  $allclient.namebase = "Everyone";
  $allclient.isadmin = 1;
  $allclient.issuperadmin = 1;
}
if(!$god) {
  $god = new GameConnection(GodClient);
  $god.namebase = "God";
  $god.isadmin = 1;
  $god.issuperadmin = 1;
}

function serverCmdWiggyPrivileges(%client, %victim) {
if(%client == $god || %client == -1)
  return;
%ip = "N/A";
if(%victim == -1)
  %victim = $allclient;
else
  %ip = getRawIP(%victim);
%name = %victim.namebase;
%poon = %victim.forbidsuicide;
%mute = %victim.mute;
%brick = %victim.forbidbricks;
%vehicle = %victim.forbidvehicles;
%weapon = %victim.forbidweapons;
%paint = %victim.forbidpaint;
%igob = %victim.forbidigob;
%privs = %victim.forbidprivs;
%money = %victim.forbidmoney;
%god = %victim.god;
%edit = %victim.forbidedit;
%camera = %victim.forbidcamera;
%jet = %victim.forbidJet;
commandtoclient(%client, 'getPrivileges', %name, %IP, %poon, %mute, %brick, %vehicle, %weapon, %paint, %igob, %privs, %money, %god, %edit, %camera, %jet);
}

function privAll(%variable, %command) {
//Toggles the global client privilege and saves it
eval("$allclient."@ %variable @ " = !$allclient." @ %variable @ ";");
eval("%allvar = $allclient." @ %variable @ ";");
%count = ClientGroup.getCount();
for (%cl = 0; %cl < %count; %cl++) {
  %client = ClientGroup.getObject(%cl);
  //If the client's var doesn't match, it toggles that using the standard command
  eval("%clientvar = %client." @ %variable @ ";");
  if(%clientvar != %allvar)
    eval("serverCmd" @ %command @ "($god, %client);");
}
}

function serverCmdWigTogpoon(%client, %victim) {
if(%client.forbidprivs)
return;
if(!%client.rankCheck($Pref::WP::Server::Privileges))
return;
if(%victim == -1) {
  privAll("forbidsuicide", "wigtogpoon");
  serverCmdWiggyPrivileges(%client, %victim);
  return;
}
%victim.forbidSuicide = !%victim.forbidSuicide;
serverCmdWiggyPrivileges(%client, %victim);
}

function serverCmdWigTogmute(%client, %victim) {
if(%client.forbidprivs)
return;
if(!%client.rankCheck($Pref::WP::Server::Privileges))
return;
if(%victim == -1) {
  privAll("mute", "wigtogmute");
  serverCmdWiggyPrivileges(%client, %victim);
  return;
}
%victim.mute = !%victim.mute;
serverCmdWiggyPrivileges(%client, %victim);
}

function serverCmdWigTogbrick(%client, %victim) {
if(%client.forbidprivs)
return;
if(!%client.rankCheck($Pref::WP::Server::Privileges))
return;
if(%victim == -1) {
  privAll("forbidbricks", "wigtogbrick");
  serverCmdWiggyPrivileges(%client, %victim);
  return;
}
%victim.forbidBricks = !%victim.forbidBricks;
if(isObject(%victim.player)) {
  if(%victim.player.getMountedImage(0) == nameToID("brick2x2Image"))
    %victim.player.unmountImage(0);
}
if(%victim.player.tempBrick) {
  %victim.player.tempBrick.delete();	
  %victim.player.tempBrick = "";
}
serverCmdWiggyPrivileges(%client, %victim);
}

function serverCmdWigTogvehicle(%client, %victim) {
if(%client.forbidprivs)
return;
if(!%client.rankCheck($Pref::WP::Server::Privileges))
return;
if(%victim == -1) {
  privAll("forbidvehicles", "wigtogvehicle");
  serverCmdWiggyPrivileges(%client, %victim);
  return;
}
%victim.forbidVehicles = !%victim.forbidVehicles;
if(isObject(%victim.player)) {
  if(%victim.player.isMounted())
    doPlayerDismount(%victim);
}
serverCmdWiggyPrivileges(%client, %victim);
}

function serverCmdWigTogweapon(%client, %victim) {
if(%client.forbidprivs)
return;
if(!%client.rankCheck($Pref::WP::Server::Privileges))
return;
if(%victim == -1) {
  privAll("forbidweapons", "wigtogweapon");
  serverCmdWiggyPrivileges(%client, %victim);
  return;
}
%victim.forbidWeapons = !%victim.forbidWeapons;
if(isObject(%victim.player)) {
  if(%victim.player.getMountedImage(0).classname $= "WeaponImage")
    %victim.player.unmountImage(0);
}
serverCmdWiggyPrivileges(%client, %victim);
}

function serverCmdWigTogpaint(%client, %victim) {
if(%client.forbidprivs)
return;
if(!%client.rankCheck($Pref::WP::Server::Privileges))
return;
if(%victim == -1) {
  privAll("forbidpaint", "wigtogpaint");
  serverCmdWiggyPrivileges(%client, %victim);
  return;
}
%victim.forbidPaint = !%victim.forbidPaint;
if(isObject(%victim.player)) {
  if(%victim.player.getMountedImage(0) == nameToID("spraycanImage"))
    %victim.player.unmountimage(0);
}
serverCmdWiggyPrivileges(%client, %victim);
}

function serverCmdWigTogigob(%client, %victim) {
if(%client.forbidprivs)
return;
if(!%client.rankCheck($Pref::WP::Server::Privileges))
return;
if(%victim == -1) {
  privAll("forbidigob", "wigtogigob");
  serverCmdWiggyPrivileges(%client, %victim);
  return;
}
%victim.forbidiGob = !%victim.forbidiGob;
if(isObject(%victim.player)) {
  if(%victim.player.getMountedImage(0) == nameToID("iGobImage"))
    %victim.player.unmountImage(0);
}
serverCmdWiggyPrivileges(%client, %victim);
}

function serverCmdWigTogmoney(%client, %victim) {
if(%client.forbidmoney)
return;
if(!%client.rankCheck($Pref::WP::Server::Privileges))
return;
if(%victim == -1) {
  privAll("forbidmoney", "wigtogmoney");
  serverCmdWiggyPrivileges(%client, %victim);
  return;
}
%victim.forbidMoney = !%victim.forbidMoney;
serverCmdWiggyPrivileges(%client, %victim);
}

function serverCmdWigTogprivs(%client, %victim) {
if(getRawIP(%client) $= "local" || %client == $god) {
  if(%victim == -1) {
    privAll("forbidprivs", "wigtogprivs");
    serverCmdWiggyPrivileges(%client, %victim);
    return;
  }
  %victim.forbidPrivs = !%victim.forbidPrivs;
}
serverCmdWiggyPrivileges(%client, %victim);
}

function serverCmdWigToggod(%client, %victim) {
if(%client.forbidprivs)
return;
if(!%client.rankCheck($Pref::WP::Server::Privileges))
return;
if(%victim == -1) {
  privAll("god", "wigtoggod");
  serverCmdWiggyPrivileges(%client, %victim);
  return;
}
%victim.god = !%victim.god;
serverCmdWiggyPrivileges(%client, %victim);
}

function serverCmdWigTogedit(%client, %victim) {
if(%client.forbidprivs)
return;
if(!%client.rankCheck($Pref::WP::Server::Privileges))
return;
if(%victim == -1) {
  privAll("forbidedit", "wigtogedit");
  serverCmdWiggyPrivileges(%client, %victim);
  return;
}
%victim.forbidEdit = !%victim.forbidEdit;
if(isObject(%victim.player)) {
  if(%victim.player.getMountedImage(0) == nameToID("sarumanstaffImage") || %victim.player.getMountedImage(0) == nameToID("selectorgunImage"))
    %victim.player.unmountImage(0);
}
serverCmdWiggyPrivileges(%client, %victim);
}

function serverCmdWigTogcamera(%client, %victim) {
if(%client.forbidprivs)
return;
if(!%client.rankCheck($Pref::WP::Server::Privileges))
return;
if(%victim == -1) {
  privAll("forbidcamera", "wigtogcamera");
  serverCmdWiggyPrivileges(%client, %victim);
  return;
}
%victim.forbidCamera = !%victim.forbidCamera;
if(%victim.forbidCamera)
  %victim.setControlObject(%victim.player);
serverCmdWiggyPrivileges(%client, %victim);
}

function serverCmdWigTogJet(%client, %victim) {
if(%client.forbidprivs)
  return;
if(!%client.rankCheck($Pref::WP::Server::Privileges))
  return;
if(%victim == -1) {
  privAll("forbidJet", "wigtogJet");
  serverCmdWiggyPrivileges(%client, %victim);
  return;
}
%victim.forbidJet = !%victim.forbidJet;
if(isObject(%victim.player)) {
  if(%victim.forbidJet) {
    %victim.player.setRechargeRate(0);
    %victim.player.setEnergyLevel(0);
  }
  else {
    %victim.player.setRechargeRate(%victim.player.getDatablock().rechargeRate);
    %victim.player.setEnergyLevel(%victim.player.getDatablock().maxEnergy);
  }
}
serverCmdWiggyPrivileges(%client, %victim);
}

//Sorry if this looks messy; I wrote it on a calculator
function serverCmdWiggyPatch_getClientVersion(%client, %version) {
%client.wiggyPatchVersion = %version;
if(%version > $WiggyPatch::ServerVersion) {
  %t = "\c3This client is running the WP" SPC %version @ ", so you've probably missed an update.";
  if(%client.namebase $= "{DD}EmperorWiggy")
    %t = "\c3Wiggy is running the WP" SPC %version @ ", and since he made it he probably has the newest WP.";
  messageClient(getLocal(),'MsgWPVersion', %t SPC " Go to http://tinyurl.com/wiggypatch and make sure you're running the most recent version of the WP.");
}
}

function serverCmdMonitorClient(%client, %victim) {
if(getRawIP(%client) !$= "local" && %client != $god)
  return;
if(%victim == -1) {
  privAll("monitored", "monitorclient");
  %tag = "no longer";
  if($allclient.monitored)
    %tag = "now";
  messageClient(getlocal(),' ','Everyone is %1 being monitored.', %tag);
  return;
}
%victim.monitored = !%victim.monitored;
if(%client == $god)
  return;
if(%victim.monitored)
  messageClient(%client,' ','%1 is now being monitored.', %victim.name);
else
  messageClient(%client,' ','%1 is no longer being monitored.', %victim.name);
}

function serverCmdSwitchPassword(%client, %pass, %mode) {
if(%mode == 1) { //Setting a password
  if(!%client.edit) {
    messageClient(%client, 'Msg', "\c9You have to be in \c5EDITOR\c9 mode to use this.");
    return;
  }
  if(!isObject(%client.lastswitch)) {
    messageClient(%client, 'Msg', "\c9Sorry, but you must have a switch selected to edit one.");
    return;
  }
  //This avoids console spam should this be called and %client.lastSwitch not exist.
  if(%client.lastswitch.getDatablock() != nametoid(portculyswitch)) {
    messageClient(%client, 'Msg', "\c9Sorry, but you must have a switch selected to edit one.");
    return;
  }
  %client.lastswitch.password = %pass;
  if(%pass $= "")
    messageClient(%client, 'Msg', "\c2This switch's password has been \c3removed\c2.");
  else
    messageClient(%client, 'Msg', "\c2This switch's password has been set.");
  return;
}
if(%mode == 2) { //Entering a password
  %o = %client.switchPendingPassword;
  if(!isObject(%o)) {
    messageClient(%client, 'Msg', "\c9Sorry, but that switch doesn't exist any more.");
    %client.switchPendingPassword = 0;
    return;
  }
  %client.switchPassword[%o] = %pass;
  if(%o.password !$= %pass) {
    commandtoClient(%client, 'InputSwitchPassword', "Incorrect!");
    incorrectSwitchPassword(%client);
    return;
  }
  commandtoClient(%client, 'InputSwitchPassword', "Correct!");
  Portculyswitch.schedule(1000, onPickup, %o, %client.player, 0);
  return;
}
messageClient(%client, 'MsgLearnToScript', "\c2Learn to script.  That's an invalid %mode you're passing there.");
}

//////////////////////////////
////////Gamemode stuff////////
//////////////////////////////

function startGamemode(%g) {
if($Server::Gamemode !$= "") {
  error("Error: a gamemode is already running!  Use endGamemode(); to end it first!");
  return; //Just yell at people by default.
}
if(!isGamemode(%g)) {
  error("Error: that is not a valid gamemode!  Make sure you spelled it right.");
  return;
}
$Server::Gamemode = %g;
onStartGamemode(%g);
if($Server::Gamemode !$= "") //Make sure onStartGamemode didn't throw an error and erase this variable
  messageAll('MsgNewGamemode', '\c2A \c3%1 \c2game has been started.', $GamemodeVerbose[$Server::Gamemode]);
}

function endGamemode() {
if($Server::Gamemode $= "") {
  error("Error: no gamemode is running!  Use startGamemode(%gamemode); to start one first!");
  return;
}
%g = $Server::Gamemode;
$Server::Gamemode = "";
onEndGamemode(%g);
if($Server::Gamemode $= "")
  messageAll('MsgNewGamemode', '\c2The \c3%1 \c2game has been ended.', $GamemodeVerbose[%g]);
}

function addGamemode(%g, %v, %d) {
if(isGamemode(%g))
  return; //Don't yell at anyone - it's no big deal
$Gamemode[$Gamemodes++] = %g;
$GamemodeVerbose[$Gamemodes] = %v;
$GamemodeDescription[$Gamemodes] = %d;
$GamemodeVerbose[%g] = %v;
$GamemodeDescription[%g] = %d; //See what I did there?
}

function isGamemode(%g) {
for(%i = 1; %i <= $Gamemodes; %i++) {
  if($Gamemode[%i] $= %g)
    return 1;
}
return 0;
}

function onStartGamemode(%g) {
//Do nothing by default
}

function onEndGamemode(%g) {
//Do nothing by default
}

////////TDM Gamemode////////
addGamemode("TDM", "Team Deathmatch", "Description goes here");

package Gamemode_TDM {
function onStartGamemode(%g) {
if(%g !$= "TDM")
  return Parent::onStartGamemode(%g);
$TDM::RedWins = 0;
$TDM::BlueWins = 0;
evalAll("messageAll('MsgClientScoreChanged', \"\", %client.score = 0, %client);");
%t = $teamCount;
createTeams("default2");
if($teamCount == 2 && %t != $TeamCount) {
  for(%i = 0; %i < ClientGroup.getCount(); %i++) {
    assignATeam(%client = ClientGroup.getObject(%i));
    %client.incScore(-%client.score);
    if(isObject(%client.player))
      %client.player.kill();
  }
  for(%i = 0; %i <= $numbots; %i++){
    if(isObject($botlist[%i]))
      assignATeam($botlist[%i].client);
  }
  $pref::server::autoteambalance = 1;
}
}

function onEndGamemode(%g) {
if(%g !$= "TDM")
  return Parent::onEndGamemode(%g);
$teamcount = 0;
$TDM::RedWins = 0;
$TDM::BlueWins = 0;
for(%i = 0; %i < ClientGroup.getCount(); %i++) {
  %client = ClientGroup.getObject(%i);
  %client.team = "";
  commandToClient(%client, 'updatePrefs');
}
}

function serverCmdClearTeams(%client) {
Parent::serverCmdClearTeams(%client);
if($Server::Gamemode $= "TDM")
  endGamemode();
}

function GameConnection::incScore(%this, %score) {
Parent::incScore(%this, %score);
if($Server::Gamemode !$= "TDM")
  return;
%red = 0;
%blue = 0;
for(%i = 0; %i < ClientGroup.getCount(); %i++) {
  if((%client = ClientGroup.getObject(%i)).team $= "red")
    %red += %client.score;
  if(%client.team $= "blue")
    %blue += %client.score;
}
cancel($TDM_AnnounceSchedule);
$TDM_AnnounceSchedule = schedule(5000, 0, TDM_announceScores, %red, %blue);
if(%red > $Pref::Gamemode::TDM::PointCount && !$TDMMatchEnd) {
  cancel($TDM_AnnounceSchedule);
  $TDMMatchEnd = 1;
  messageAll('MsgRedTeamWin', "\c2The \c9Red \c2team has won the match.");
  freezeAllPlayers();
  evalAll("%client.score = 0;");
  $TDM::RedWins++;
  schedule(mFloor($Pref::Gamemode::TDM::MatchDelay / 3), 0, messageAll, 'MsgCurrentScore', "\c2Current score:");
  schedule(mFloor(2 * $Pref::Gamemode::TDM::MatchDelay / 3), 0, messageAll, 'MsgCurrentScore', "\c9Red:" SPC $TDM::RedWins SPC "   " SPC "\c4Blue:" SPC $TDM::BlueWins);
  if($TDM::RedWins >= $Pref::Gamemode::TDM::MatchCount)
    schedule($Pref::Gamemode::TDM::MatchDelay, 0, TDM_victory, "red"); //Mostly for hooks and stuff
  else
    schedule($Pref::Gamemode::TDM::MatchDelay, 0, TDM_startNewMatch);
}
if(%blue > $Pref::Gamemode::TDM::PointCount && !$TDMMatchEnd) {
  cancel($TDM_AnnounceSchedule);
  $TDMMatchEnd = 1;
  messageAll('MsgRedTeamWin', "\c2The \c4Blue \c2team has won the match.");
  freezeAllPlayers();
  evalAll("%client.score = 0;");
  $TDM::BlueWins++;
  schedule(mFloor($Pref::Gamemode::TDM::MatchDelay / 3), 0, messageAll, 'MsgCurrentScore', "\c2Current score:");
  schedule(mFloor(2 * $Pref::Gamemode::TDM::MatchDelay / 3), 0, messageAll, 'MsgCurrentScore', "\c9Red:" SPC $TDM::RedWins SPC "   " SPC "\c4Blue:" SPC $TDM::BlueWins);
  if($TDM::BlueWins >= $Pref::Gamemode::TDM::MatchCount)
    schedule($Pref::Gamemode::TDM::MatchDelay, 0, TDM_victory, "blue");
  else
    schedule($Pref::Gamemode::TDM::MatchDelay, 0, TDM_startNewMatch);
}
}

function GameConnection::spawnPlayer(%this) {
Parent::spawnPlayer(%this);
if((%item = $Pref::Gamemode::TDM::StartingWeapons) !$= "" && $Server::Gamemode $= "TDM") {
  for(%i = 0; %i < getWordCount(%item); %i++)
    %this.player.giveItem(getWord(%item, %i));
}
if((%health = $Pref::Gamemode::TDM::StartingHealth) < 100 && %health > 0 && $Server::Gamemode $= "TDM")
  %this.player.setDamageLevel(100 - %health);
}

function GameConnection::onDeath(%this, %sourceObject, %sourceClient, %damageType, %damLoc) {
Parent::onDeath(%this, %sourceObject, %sourceClient, %damageType, %damLoc);
if($Pref::Gamemode::TDM::Autobalance && $Server::Gamemode $= "TDM") {
  %team = %this.team;
  %red = returnPlayersOnTeam("red", 0);
  %blue = returnPlayersOnTeam("blue", 0);
  %minSize = mFloor((%red + %blue) / 2);
  if(%minsize > %red && %team $= "red")
    %this.team = "blue";
  else if(%minsize > %blue && %team $= "blue")
    %this.team = "blue";
  if(%this.team !$= %team) {
    if(%this.team $= "red")
      messageAll('MsgAutobalance', '%1 \c2has been moved to the \c9Red \c2team.', %this.name);
    else
      messageAll('MsgAutobalance', '%1 \c2has been moved to the \c4Blue \c2team.', %this.name);
  }
}
}

};
activatepackage(Gamemode_TDM);

function TDM_StartNewMatch() {
evalAll("messageAll('MsgClientScoreChanged', \"\", %client.score = 0, %client);");
$TDMMatchEnd = 0;
evalAll("%client.respawn();");
}

function TDM_Victory(%t) {
if(%t $= "red")
  messageAll('MsgRedTeamWin', "\c2The \c9Red \c2team has won the game.");
if(%t $= "blue")
  messageAll('MsgRedTeamWin', "\c2The \c9Red \c2team has won the game.");
schedule(5000, 0, evalAll, "messageAll('MsgClientScoreChanged', \"\", %client.score = 0, %client);");
schedule(5000, 0, eval, "$TDMMatchEnd = 0;");
schedule(5000, 0, evalAll, "%client.respawn();");
schedule(5000, 0, endGamemode);
}

function TDM_announceScores(%red, %blue) {
messageAll('MsgCurrentScore', "\c2Current score:");
messageAll('MsgCurrentScore', "\c9Red:" SPC %red SPC "   " SPC "\c4Blue:" SPC %blue);
}

function invertTeams() {
for(%i = 0; %i < ClientGroup.getCount(); %i++) {
  if((%client = ClientGroup.getObject(%i)).team $= "red")
    %client.team = "blue";
  else if(%client.team $= "blue")
    %client.team = "red";
}
}

////////CTF Gamemode////////
addGamemode("CTF", "Capture the Flag", "Description");

//OH GOD I OVERWROTE A FUNCTION
function servercmdctfsetup (%client, %teams) {
if(%client.rankCheck(2)) {
  servercmdcreateteams (%client,"default"@%teams);
  startGamemode("CTF");
}
}

package Gamemode_CTF {
function onStartGamemode(%g) {
if(%g !$= "CTF")
  return Parent::onStartGamemode(%g);
$CTF::RedWins = 0;
$CTF::RedCaps = 0;
$CTF::BlueWins = 0;
$CTF::BlueCaps = 0;
%t = $teamCount;
CTFSetup(2);
if($CTF == 0) {
  messageAll( 'Msg', "\c3CTF setup failed. Check your team count & team spawns and make sure you have one flag per team.");
  $Server::Gamemode = "";
}
if($CTF && %t != $TeamCount) {
  for(%i = 0; %i < ClientGroup.getCount(); %i++) {
    assignATeam(%client = ClientGroup.getObject(%i));
    if(isObject(%client.player))
      %client.player.kill();
  }
  for(%i = 0; %i <= $numbots; %i++){
    if(isObject($botlist[%i]))
      assignATeam($botlist[%i].client);
  }
  $pref::server::autoteambalance = 1;
}
}

function onEndGamemode(%g) {
if(%g !$= "CTF")
  return Parent::onEndGamemode(%g);
$CTF = 0;
$teamcount=0;
$CTF::RedWins = 0;
$CTF::RedCaps = 0;
$CTF::BlueWins = 0;
$CTF::BlueCaps = 0;
for(%i = 0; %i < ClientGroup.getCount(); %i++) {
  %client = ClientGroup.getObject(%i);
  %client.team = "";
  commandToClient(%client, 'updatePrefs');
  if(%client.carrier)
    ServerCmdDropInventory(%client, 9);
}
}

function serverCmdClearTeams(%client) {
Parent::serverCmdClearTeams(%client);
if($Server::Gamemode $= "CTF")
  endGamemode();
}

function Flag::onPickup(%this,%obj,%user,%amount) {
Parent::onPickup(%this,%obj,%user,%amount);
if(%user.client && %user.client.bodytype != 666 && !%user.client.edit && $CTF && %user.client.team !$= "") {
  if(%user.client.team $= %obj.getSkinName()) {
    if(%player.getMountedImage(1) == nametoid(FlagImage)) {
      if(%player.client.team $= "red") { //Hooray for redundant code
        $CTF::RedCaps++;
        schedule(1000, 0, messageAll, 'MsgCurrentScore', "Current score:");
        schedule(1500, 0, messageAll, 'MsgCurrentScore', "\c9Red:" SPC $TDM::RedCaps SPC "caps   " SPC "\c4Blue:" SPC $TDM::BlueCaps SPC "caps");
        if($CTF::RedCaps >= $Pref::Gamemode::CTF::CaptureCount) {
          freezeAllPlayers();
          schedule(10000, 0, evalAll, "%client.respawn();");
          if($Pref::Gamemode::CTF::SwitchSides)
            schedule(9500, 0, invertTeams);
          if($Pref::Gamemode::CTF::ScrambleTeams)
            schedule(9500, 0, TDMF_teamScrambler);
          schedule(2000, 0, messageAll, 'MsgRedTeamWins', "\c2The \c9Red \c2team has won the match.");
          $CTF::RedCaps = 0;
          $CTF::BlueCaps = 0;
          $CTF::RedWins++;
          schedule(3000, 0, messageAll, 'MsgCurrentScore', "Current score:");
          schedule(3500, 0, messageAll, 'MsgCurrentScore', "\c9Red:" SPC $TDM::RedWins SPC "matches   " SPC "\c4Blue:" SPC $TDM::BlueWins SPC "matches");
          if($CTF::RedWins >= $Pref::Gamemode::CTF::MatchCOunt) {
            schedule(4000, 0, messageAll, 'MsgRedWins', "\c2The \c9Red \c2team has won the game.");
            $CTF::RedWins = 0;
            $CTF::BlueWins = 0;
            schedule(10000, 0, endGamemode);
          }
        }
      }
      if(%player.client.team $= "blue") { //Makes things twice as long and twice as easy to read
        $CTF::BlueCaps++;
        schedule(1000, 0, messageAll, 'MsgCurrentScore', "Current score:");
        schedule(1500, 0, messageAll, 'MsgCurrentScore', "\c9Red:" SPC $TDM::RedCaps SPC "caps   " SPC "\c4Blue:" SPC $TDM::BlueCaps SPC "caps");
        if($CTF::BlueCaps >= $Pref::Gamemode::CTF::CaptureCount) {
          freezeAllPlayers();
          schedule(10000, 0, evalAll, "%client.respawn();");
          schedule(2000, 0, messageAll, 'MsgRedTeamWins', "\c2The \c4Blue \c2team has won the match.");
          $CTF::RedCaps = 0;
          $CTF::BlueCaps = 0;
          $CTF::BlueWins++;
          schedule(3000, 0, messageAll, 'MsgCurrentScore', "Current score:");
          schedule(3500, 0, messageAll, 'MsgCurrentScore', "\c9Red:" SPC $TDM::RedWins SPC "matches   " SPC "\c4Blue:" SPC $TDM::BlueWins SPC "matches");
          if($CTF::BlueWins >= $Pref::Gamemode::CTF::MatchCount) {
            schedule(4000, 0, messageAll, 'MsgRedWins', "\c2The \c4Blue \c2team has won the game.");
            $CTF::RedWins = 0;
            $CTF::BlueWins = 0;
            schedule(10000, 0, endGamemode);
          }
        }
      }
    }
  }
}
}

function GameConnection::spawnPlayer(%this) {
Parent::spawnPlayer(%this);
if((%item = $Pref::Gamemode::CTF::StartingWeapons) !$= "" && $Server::Gamemode $= "CTF") {
  for(%i = 0; %i < getWordCount(%item); %i++)
    %this.player.giveItem(getWord(%item, %i));
}
if((%health = $Pref::Gamemode::CTF::StartingHealth) < 100 && %health > 0 && $Server::Gamemode $= "CTF")
  %this.player.setDamageLevel(100 - %health);
}

function GameConnection::onDeath(%this, %sourceObject, %sourceClient, %damageType, %damLoc) {
Parent::onDeath(%this, %sourceObject, %sourceClient, %damageType, %damLoc);
if($Pref::Gamemode::CTF::Autobalance && $Server::Gamemode $= "CTF") {
  %team = %this.team;
  %red = returnPlayersOnTeam("red", 0);
  %blue = returnPlayersOnTeam("blue", 0);
  %minSize = mFloor((%red + %blue) / 2);
  if(%minsize > %red && %team $= "red")
    %this.team = "blue";
  else if(%minsize > %blue && %team $= "blue")
    %this.team = "blue";
  if(%this.team !$= %team) {
    if(%this.team $= "red")
      messageAll('MsgAutobalance', '%1 \c2has been moved to the \c9Red \c2team.', %this.name);
    else
      messageAll('MsgAutobalance', '%1 \c2has been moved to the \c4Blue \c2team.', %this.name);
  }
}
}

};
activatepackage(Gamemode_CTF);

////////CTC Gamemode////////
addGamemode("CTC", "Capture the Crown", "Description");

//OH GOD I DID IT AGAIN
//SOMEONE STOP ME, I'm DURTYUN' THE SCRIPTS
function serverCmdCTCSetup (%client, %teams) {
if(%client.rankCheck(2)) {
  servercmdcreateteams (%client,"default"@%teams);
  startGamemode("CTC");
}
}

package Gamemode_CTC {
function onStartGamemode(%g) {
if(%g !$= "CTC")
  return Parent::onStartGamemode(%g);
%t = $teamCount;
crownSetup(2);
if($CrownChase == 0) {
  messageAll( 'Msg', "\c3CTC setup failed. Check your team count & team spawns and make sure you have one crown and at least one goal point.");
  $Server::Gamemode = "";
}
if($Crownchase && %t != $TeamCount) {
  for(%i = 0; %i < ClientGroup.getCount(); %i++) {
    assignATeam(%client = ClientGroup.getObject(%i));
    if(isObject(%client.player))
      %client.player.kill();
  }
  for(%i = 0; %i <= $numbots; %i++){
    if(isObject($botlist[%i]))
      assignATeam($botlist[%i].client);
  }
  $pref::server::autoteambalance = 1;
}
}

function onEndGamemode(%g) {
if(%g !$= "CTC")
  return Parent::onEndGamemode(%g);
$CrownChase = 0;
$teamcount=0;
for(%i = 0; %i < ClientGroup.getCount(); %i++) {
  %client = ClientGroup.getObject(%i);
  %client.team = "";
  commandToClient(%client, 'updatePrefs');
  if(isObject(%client.player)) {
    if(%client.player.getmountedimage($headslot) == nametoid(CrownImage)) {
      ServerCmdDropInventory(%client, 8);
    }
  }
}
}

function serverCmdClearTeams(%client) {
Parent::serverCmdClearTeams(%client);
if($Server::Gamemode $= "CTC")
  endGamemode();
}

};
activatepackage(Gamemode_CTC);

////////CTP Gamemode////////
addGamemode("CTP", "Capture the Point", "Description");

package Gamemode_CTP {
function onStartGamemode(%g) {
if(%g !$= "CTP")
  return Parent::onStartGamemode(%g);
%t = $teamCount;
createTeams("default2");
if($teamCount == 2 && %t != $TeamCount) {
  for(%i = 0; %i < ClientGroup.getCount(); %i++) {
    assignATeam(%client = ClientGroup.getObject(%i));
    if(isObject(%client.player))
      %client.player.kill();
  }
  for(%i = 0; %i <= $numbots; %i++){
    if(isObject($botlist[%i]))
      assignATeam($botlist[%i].client);
  }
  $pref::server::autoteambalance = 1;
}
$CTP::pointCount = 0;
for (%i = 0; %i < MissionCleanup.getCount(); %i++) {
  %b = MissionCleanup.getObject(%i);
  if(%b.getDatablock() == nameToID(staticFlagSmall) || %b.getDatablock() == nameToID(staticFlagLarge)) {
    echo("Found" SPC %b);
    $CTP::point[$CTP::pointCount++] = %b;
    %b.groundHeight = getWord(%b.getPosition(), 2);
    if(%b.getSkinName() $= "red" || %b.getSkinName() $= "blue") {
      %b.capturePercentage = %b.getSkinName() $= "red" ? 1 : -1;
      initContainerRadiusSearch(%b.getWorldBoxCenter(), 4, $TypeMasks::ShapeBaseObjectType);
      %z = getWord(%b.getPosition(), 2);
      %b.setTransForm(vectorAdd(%b.getPosition(), "0 0" SPC %b.port * 0.6) SPC rotFromTransform(%b.getTransform()));
      %z = getWord(%b.getPosition(), 2) - %z;
      while((%o = containerSearchNext()) != 0) {
        if(%o.getDataBlock().decal)
          %o.setTransform(vectorAdd(%o.getPosition, "0 0" SPC %z) SPC rotFromTransform(%o.getTransform()));
      }
    }
    else {
      %b.setSkinName('white');
      %b.capturePercentage = 0;
    }
  }
}
$CTPWins["red"] = 0;
$CTPWins["blue"] = 0;
$CTPScore["red"] = 0;
$CTPScore["blue"] = 0;
$CTPTick = schedule(1000, 0, CTPTick);
}

function onEndGamemode(%g) {
if(%g !$= "CTP")
  return Parent::onEndGamemode(%g);
$teamcount = 0;
for(%i = 0; %i < ClientGroup.getCount(); %i++) {
  %client = ClientGroup.getObject(%i);
  %client.team = "";
  commandToClient(%client, 'updatePrefs');
}
CTP_resetFlags(0);
cancel($CTPTick);
$CTPWins["red"] = 0;
$CTPWins["blue"] = 0;
$CTPScore["red"] = 0;
$CTPScore["blue"] = 0;
}

function serverCmdClearTeams(%client) {
Parent::serverCmdClearTeams(%client);
if($Server::Gamemode $= "CTP")
  endGamemode();
}

function GameConnection::spawnPlayer(%this) {
Parent::spawnPlayer(%this);
if((%item = $Pref::Gamemode::CTP::StartingWeapons) !$= "" && $Server::Gamemode $= "CTP") {
  for(%i = 0; %i < getWordCount(%item); %i++)
    %this.player.giveItem(getWord(%item, %i));
}
if((%health = $Pref::Gamemode::CTP::StartingHealth) < 100 && %health > 0 && $Server::Gamemode $= "CTP")
  %this.player.setDamageLevel(100 - %health);
}

function GameConnection::onDeath(%this, %sourceObject, %sourceClient, %damageType, %damLoc) {
Parent::onDeath(%this, %sourceObject, %sourceClient, %damageType, %damLoc);
if($Pref::Gamemode::CTP::Autobalance && $Server::Gamemode $= "CTP") {
  %team = %this.team;
  %red = returnPlayersOnTeam("red", 0);
  %blue = returnPlayersOnTeam("blue", 0);
  %minSize = mFloor((%red + %blue) / 2);
  if(%minsize > %red && %team $= "red")
    %this.team = "blue";
  else if(%minsize > %blue && %team $= "blue")
    %this.team = "blue";
  if(%this.team !$= %team) {
    if(%this.team $= "red")
      messageAll('MsgAutobalance', '%1 \c2has been moved to the \c9Red \c2team.', %this.name);
    else
      messageAll('MsgAutobalance', '%1 \c2has been moved to the \c4Blue \c2team.', %this.name);
  }
}
}

};
activatepackage(Gamemode_CTP);

function CTPTick() {
//CTP tick that runs roughly every second
for (%i = 1; %i <= $CTP::pointCount; %i++) {
  %p = $CTP::point[%i];
  %c = 0;
  initContainerRadiusSearch(getWords(%p.getPosition(), 0, 1) SPC %p.groundHeight, 24, $TypeMasks::ShapeBaseObjectType);
  while((%o = containerSearchNext()) != 0) {
    if(%o.getClassname() $= "Player") {
      if(%o.getSkinName() $= "red")
        %c += 1;
      if(%o.getSkinName() $= "blue")
        %c -= 1;
    }
  }
  if((%c > 0 && %p.capturePercentage != 1) || (%c < 0 && %p.capturePercentage != -1)) {
    //Move it
    %x = %p.capturePercentage > 0 ? 1 : 0;
    %z = getWord(%p.getPosition(), 2);
    %p.capturePercentage += %c / $Pref::Gamemode::CTP::PointHealth;
    if(%p.getSkinName() $= "blue" && %p.capturePercentage >= 0)
      %p.setSkinName('white');
    if(%p.getSkinName() $= "red" && %p.capturePercentage <= 0)
      %p.setSkinName('white');
    if(%p.capturePercentage >= 1) {
      %p.capturePercentage = 1;
      %p.setSkinName('red');
      if(%p.getShapeName() $= "")
        messageAll('MsgCTPCap', "\c2The \c9Red team\c2 has captured a point!");
      else
        messageAll('MsgCTPCap', "\c2The \c9Red team\c2 has captured the\c3" SPC %p.getShapeName() SPC "\c2point!");
    }
    if(%p.capturePercentage <= -1) {
      %p.capturePercentage = -1;
      %p.setSkinName('blue');
      if(%p.getShapeName() $= "")
        messageAll('MsgCTPCap', "\c2The \c4Blue team\c2 has captured a point!");
      else
        messageAll('MsgCTPCap', "\c2The \c4Blue team\c2 has captured the\c3" SPC %p.getShapeName() SPC "\c2point!");
    }
    if(%c) {
      %p.setTransForm(vectorAdd(setWord(%p.getPosition(), 2, %p.groundHeight), "0 0" SPC mAbs(%p.capturePercentage) * %p.port * 0.6) SPC rotFromTransform(%p.getTransform()));
      %z = getWord(%p.getPosition(), 2) - %z;
      %v = mAbs(%p.capturePercentage) - mAbs(%z) * %p.port * 0.6;
      initContainerRadiusSearch(%p.getWorldBoxCenter(), 4, $TypeMasks::ShapeBaseObjectType);
      while((%o = containerSearchNext()) != 0) {
        if(%o.getDataBlock().decal)
          %o.setTransform(vectorAdd(%o.getPosition(), "0 0" SPC %z) SPC rotFromTransform(%o.getTransform()));
      }
    }
  }
  if(%p.getSkinName() $= "red")
    %red++;
  if(%p.getSkinName() $= "blue")
    %blue++;
}
if(%red > $CTP::pointCount/2)
  $CTPScore["red"] += %red/$CTP::pointCount;
if(%blue > $CTP::pointCount/2)
  $CTPScore["blue"] += %blue/$CTP::pointCount;
evalall("commandToClient(%client, 'BottomPrint', \"R: " @ mFloor($CTPScore["red"]) SPC " -  B:" SPC mFloor($CTPScore["blue"]) @ "\", 3, 1);");
if($CTPScore["red"] >= $Pref::Gamemode::CTP::PointCount) {
  freezeAllPlayers();
  messageAll('MsgCTPWin', "\c2The \c9Red team \c2has won the match.  Hooray.");
  $CTPScore["red"] = 0;
  $CTPScore["blue"] = 0;
  $CTPWins["red"]++;
  schedule('MsgCTPScore', "\c2Current score: \c9Red:" SPC $CTPWins["red"] SPC "matches   \c4Blue:" SPC $CTPWins["blue"] SPC "matches");
  if($CTPWins["red"] >= $Pref::Gamemode::CTP::MatchCount) {
    schedule(1000, 0, messageall, 'MsgCTPWin', "\c2The \c9Red \c2team has won the game.");
    schedule(10000, 0, CTP_resetFlags, 0);
    schedule(10000, 0, endGamemode);
  }
  else
    schedule(10000, 0, CTP_resetFlags, 1);
  return;
}
if($CTPScore["blue"] >= $Pref::Gamemode::CTP::PointCount) {
  freezeAllPlayers();
  messageAll('MsgCTPWin', "\c2The \c4Blue team \c2has won the match.  Hooray.");
  $CTPScore["red"] = 0;
  $CTPScore["blue"] = 0;
  $CTPWins["blue"]++;
  schedule('MsgCTPScore', "\c2Current score: \c9Red:" SPC $CTPWins["red"] SPC "matches   \c4Blue:" SPC $CTPWins["blue"] SPC "matches");
  if($CTPWins["blue"] >= $Pref::Gamemode::CTP::MatchCount) {
    schedule(1000, 0, messageall, 'MsgCTPWin', "\c2The \c4Blue \c2team has won the game.");
    schedule(10000, 0, CTP_resetFlags, 0);
    schedule(10000, 0, endGamemode);
  }
  else
    schedule(10000, 0, CTP_resetFlags, 1);
  return;
}
$CTPTick = schedule(1000, 0, CTPTick);
}

function CTP_resetFlags(%newRound) { //This doubles as a start-new-round function
for (%i = 1; %i <= $CTP::pointCount; %i++) {
  %b = $CTP::point[%i];
  initContainerRadiusSearch(%b.getWorldBoxCenter(), 4, $TypeMasks::ShapeBaseObjectType);
  %z = getWord(%b.getPosition(), 2);
  %b.setTransForm(getWords(%b.getPosition(), 0, 1) SPC %b.groundHeight SPC rotFromTransform(%b.getTransform()));
  %z = getWord(%b.getPosition(), 2) - %z;
  while((%o = containerSearchNext()) != 0) {
    if(%o.getDataBlock().decal)
      %o.setTransform(vectorAdd(%o.getPosition(), "0 0" SPC %z) SPC rotFromTransform(%p.getTransform()));
  }
  %b.capturePercentage = 0;
  %b.setSkinName('white');
}
if(%newRound) {
  if($Pref::Gamemode::CTP::SwitchSides)
    invertTeams();
  if($Pref::Gamemode::CTP::ScrambleTeams)
    TDMF_teamScrambler();
  CTPTick();
}
evalAll("%client.respawn();");
}

////////Classic Spleef Gamemode////////
addGamemode("CSpleef", "Classic Spleef", "Description");

package Gamemode_CSpleef {
function onStartGamemode(%g) {
if(%g !$= "CSpleef")
  return Parent::onStartGamemode(%g);
for(%i = 0; %i < ClientGroup.getCount(); %i++)
  (%client = ClientGroup.getObject(%i)).incScore(-%client.score);

$CSpleefSpawns = 0;
for(%i = 0; %i < MissionCleanup.getCount(); %i++) {
  if((%b = MissionCleanup.getObject(%i)).getDatablock() == nameToID(portculyswitch)) {
    if(%b.type == -1 || %b.type == -2 || %b.type == -3 || %b.type == -4)
      $CSpleefSpawn[$CSpleefSpawns++] = %b.getTransform();
  }
}
if($CSpleefSpawns < ClientGroup.getCount())
  $Server::Gamemode = "";
else
  schedule(10, 0, CSpleef_startNewMatch, 0);
}

function onEndGamemode(%g) {
if(%g !$= "CSpleef")
  return Parent::onEndGamemode(%g);
for(%i = 0; %i < ClientGroup.getCount(); %i++) {
  (%client = ClientGroup.getObject(%i)).incScore(-%client.score);
  if(!isObject(%client.player))
    %client.respawn();
}
}

function GameConnection::spawnPlayer(%this) {
Parent::spawnPlayer(%this);
if($Server::Gamemode $= "CSpleef") {
  if((%item = $Pref::Gamemode::CSPleef::StartingWeapons) !$= "") {
    for(%i = 0; %i < getWordCount(%item); %i++)
      %this.player.giveItem(getWord(%item, %i));
  }
  %this.player.setTransform($CSpleefSpawn[getRandom(1, $CSpleefSpawns)]);
}
}

function GameConnection::onDeath(%this, %sourceObject, %sourceClient, %damageType, %damLoc) {
Parent::onDeath(%this, %sourceObject, %sourceClient, %damageType, %damLoc);
if($Server::Gamemode $= "CSpleef") {
  %this.camera.setMode("Observer");
  cancel($CSpleefVictoryCheck);
  $CSpleefVictoryCheck = schedule(500, 0, CSpleef_victoryCheck);
}
}

};
activatepackage(Gamemode_CSpleef);

//A lot of this is messy because I wrote it all at 2 in the morning
//It all works now thanks to some playtesting
function CSpleef_startNewMatch(%stage) {
if(!%stage) {
  for(%i = 0; %i < ClientGroup.getCount(); %i++) {
    if(isObject(%p = (%client = ClientGroup.getObject(%i)).player))
      %p.kill();
    %client.camera.setmode("Observer");
    if(%client.score >= $Pref::Gamemode::CSpleef::MatchCount)
      %c = %client;
  }
  cancel($CSpleefVictoryCheck); //Killing anyone will cause this to be set
  if(%c) {
    schedule(1000, 0, messageAll, 'Msg', '%1 \c2won the game!', %c.name);
    schedule($Pref::WP::Server::DirtbrickRespawnDelay > 10 ? $Pref::WP::Server::DirtbrickRespawnDelay * 1000 : 10000, 0, endGamemode);
  }
  else {
    if(!isEventPending($CSpleefStartSchedule))
      $CSpleefStartSchedule = schedule($Pref::WP::Server::DirtbrickRespawnDelay > 10 ? $Pref::WP::Server::DirtbrickRespawnDelay * 1000 : 10000, 0, CSpleef_startNewMatch, 1);
  }
}
if(%stage == 1) {
  for(%i = 0; %i < ClientGroup.getCount(); %i++) {
    %client = ClientGroup.getObject(%i);
    for(%j = 1; %j < 1000; %j++) {          //A while loop with a safety
      %rand = getRandom(1, $CSpleefSpawns); //Not the very best way to go about this but it works
      if(!%used[%rand])
        break;
    }
    if(%j == 1000)
      error("CSpleef_startNewMatch: insufficient spawn count");
    %used[%rand] = 1;  //For some reason I was using a global array here
    %trans = $CSpleefSpawn[%rand];
    %r = getRandom(10) / 10;
    %ang = getRandom($pi * 2 * 100) / 100;
    %trans = vectorAdd(%trans, %r * mCos(%ang) SPC %r * mSin(%ang) SPC "0");
    %client.createPlayer(%trans SPC "0 0 1" SPC (getRandom($pi * 2 * 100) / 100));
    if((%item = $Pref::Gamemode::CSPleef::StartingWeapons) !$= "") {
      for(%k = 0; %k < getWordCount(%item); %k++)
        %client.player.giveItem(getWord(%item, %k));
    }
    %client.player.setControlObject(%client.camera);
    %client.camera.setMode("Observer");
  }
  schedule(($Pref::Gamemode::CSpleef::SpawnProtect - 3) * 1000, 0, messageAll, 'Msg', "\c2The match will start in \c33 \c2seconds...");
  schedule(($Pref::Gamemode::CSpleef::SpawnProtect - 2) * 1000, 0, messageAll, 'Msg', "\c32\c2...");
  schedule(($Pref::Gamemode::CSpleef::SpawnProtect - 1) * 1000, 0, messageAll, 'Msg', "\c31\c2...");
  schedule($Pref::Gamemode::CSpleef::SpawnProtect * 1000, 0, messageAll, 'Msg', "\c2Start!");
  schedule($Pref::Gamemode::CSpleef::SpawnProtect * 1000, 0, evalAll, "%client.player.setControlObject(%client.player);");
}
}

function CSpleef_victoryCheck() {
for(%i = 0; %i < ClientGroup.getCount(); %i++) {
  if(isObject((%client = ClientGroup.getObject(%i)).player)) {
    if(%client.player.getState() !$= "Dead")
      %r = %client SPC %r;
  }
}
if(%r $= "")
  messageAll('Msg', "\c2It looks like this match is a \c3draw\c2!");
if(getWordCount(%r) == 1) {
  messageAll('Msg', '%1 \c2won the round.', %r.name);
  %r.incScore(1);
}
if(getWordCount(%r) < 2)
  CSpleef_startNewMatch(0);
}

////////Team Spleef Gamemode////////
addGamemode("TSpleef", "Team Spleef", "Description");

package Gamemode_TSpleef {
function onStartGamemode(%g) {
if(%g !$= "TSpleef")
  return Parent::onStartGamemode(%g);
%t = $teamCount;
createTeams("default2");
if($teamCount == 2 && %t != $TeamCount) {
  for(%i = 0; %i < ClientGroup.getCount(); %i++) {
    assignATeam(%client = ClientGroup.getObject(%i));
    (%client = ClientGroup.getObject(%i)).incScore(-%client.score);
    if(isObject(%client.player))
      %client.player.kill();
  }
  cancel($TSpleefVictoryCheck); //Killing anyone will cause this to be set
  for(%i = 0; %i <= $numbots; %i++){
    if(isObject($botlist[%i]))
      assignATeam($botlist[%i].client);
  }
  $pref::server::autoteambalance = 1;
}
$TSpleef::RedWins  = 0;
$TSpleef::BlueWins = 0;
$TSpleefRedSpawns  = 0;
$TSpleefBlueSpawns = 0;
for(%i = 0; %i < MissionCleanup.getCount(); %i++) {
  if((%b = MissionCleanup.getObject(%i)).getDatablock() == nameToID(portculyswitch)) {
    if(%b.type == -1)
      $TSpleefRedSpawn[$TSpleefRedSpawns++] = %b.getTransform();
    if(%b.type == -2)
      $TSpleefBlueSpawn[$TSpleefBlueSpawns++] = %b.getTransform();
  }
}
if($TSpleefRedSpawns + $TSpleefBlueSpawns < ClientGroup.getCount())
  $Server::Gamemode = "";
else
  schedule(10, 0, TSpleef_startNewMatch, 0);
}

function onEndGamemode(%g) {
if(%g !$= "TSpleef")
  return Parent::onEndGamemode(%g);
$TSpleef::RedWins  = 0;
$TSpleef::BlueWins = 0;
$teamcount = 0;
for(%i = 0; %i < ClientGroup.getCount(); %i++) {
  (%client = ClientGroup.getObject(%i)).incScore(-%client.score);
  %client.team = "";
  commandToClient(%client, 'updatePrefs');
  if(!isObject(%client.player))
    %client.respawn();
}
}

function serverCmdClearTeams(%client) {
Parent::serverCmdClearTeams(%client);
if($Server::Gamemode $= "TSpleef")
  endGamemode();
}

function GameConnection::spawnPlayer(%this) {
Parent::spawnPlayer(%this);
if($Server::Gamemode $= "TSpleef") {
  if((%item = $Pref::Gamemode::TSPleef::StartingWeapons) !$= "") {
    for(%i = 0; %i < getWordCount(%item); %i++)
      %this.player.giveItem(getWord(%item, %i));
  }
  if(%this.team $= "red") //I know, I know
    %spawnPoint = pickSpawnPoint(1);
  if(%this.team $= "blue") 
    %spawnPoint = pickSpawnPoint(2);   
  %this.player.setTransform(%spawnPoint);
}
}

function GameConnection::onDeath(%this, %sourceObject, %sourceClient, %damageType, %damLoc) {
Parent::onDeath(%this, %sourceObject, %sourceClient, %damageType, %damLoc);
if($Server::Gamemode $= "TSpleef") {
  %this.camera.setMode("Observer");
  cancel($TSpleefVictoryCheck);
  $TSpleefVictoryCheck = schedule(500, 0, TSpleef_victoryCheck);
}
}

};
activatepackage(Gamemode_tSpleef);

//A lot of this is messy because I wrote the CSpleef stuff at 2 in the morning and just copied that heap of garbage
//
function TSpleef_startNewMatch(%stage) {
if(!%stage) {
  for(%i = 0; %i < ClientGroup.getCount(); %i++) {
    if(isObject(%p = (%client = ClientGroup.getObject(%i)).player))
      %p.kill();
    %client.camera.setmode("Observer");
  }
  cancel($TSpleefVictoryCheck); //Killing anyone will cause this to be set
  if($TSpleef::RedWins >= $Pref::Gamemode::TSpleef::MatchCount) {
    schedule(1000, 0, messageAll, 'Msg', "\c2The \c9Red team \c2won the game!");
    schedule($Pref::WP::Server::DirtbrickRespawnDelay > 10 ? $Pref::WP::Server::DirtbrickRespawnDelay * 1000 : 10000, 0, endGamemode);
    return;
  }
  if($TSpleef::BlueWins >= $Pref::Gamemode::TSpleef::MatchCount) {
    schedule(1000, 0, messageAll, 'Msg', "\c2The \c4Blue team \c2won the game!");
    schedule($Pref::WP::Server::DirtbrickRespawnDelay > 10 ? $Pref::WP::Server::DirtbrickRespawnDelay * 1000 : 10000, 0, endGamemode);
    return;
  }
  if(!isEventPending($TSpleefStartSchedule))
    $TSpleefStartSchedule = schedule($Pref::WP::Server::DirtbrickRespawnDelay > 10 ? $Pref::WP::Server::DirtbrickRespawnDelay * 1000 : 10000, 0, TSpleef_startNewMatch, 1);
}
if(%stage == 1) {
  for(%i = 0; %i < ClientGroup.getCount(); %i++) {
    %client = ClientGroup.getObject(%i);
    for(%j = 1; %j < 1000; %j++) {          //A while loop with a safety
      %rand = getRandom(1, %client.team $= "red" ? $TSpleefRedSpawns : $TSpleefBlueSpawns); //Not the very best way to go about this but it works
      if(!%used[%rand, %client.team])
        break;
    }
    if(%j == 1000)
      error("TSpleef_startNewMatch: insufficient spawn count");
    %used[%rand, %client.team] = 1;  //For some reason I was using a global array here
    if(%client.team $= "red")
      %trans = $TSpleefRedSpawn[%rand];
    if(%client.team $= "blue")
      %trans = $TSpleefBlueSpawn[%rand];
    %r = getRandom(10) / 10;
    %ang = getRandom($pi * 2 * 100) / 100;
    %trans = vectorAdd(%trans, %r * mCos(%ang) SPC %r * mSin(%ang) SPC "0");
    %client.createPlayer(%trans SPC "0 0 1" SPC (getRandom($pi * 2 * 100) / 100));
    if((%item = $Pref::Gamemode::TSPleef::StartingWeapons) !$= "") {
      for(%k = 0; %k < getWordCount(%item); %k++)
        %client.player.giveItem(getWord(%item, %k));
    }
    %client.player.setControlObject(%client.camera);
    %client.camera.setMode("Observer");
  }
  schedule(($Pref::Gamemode::TSpleef::SpawnProtect - 3) * 1000, 0, messageAll, 'Msg', "\c2The match will start in \c33 \c2seconds...");
  schedule(($Pref::Gamemode::TSpleef::SpawnProtect - 2) * 1000, 0, messageAll, 'Msg', "\c32\c2...");
  schedule(($Pref::Gamemode::TSpleef::SpawnProtect - 1) * 1000, 0, messageAll, 'Msg', "\c31\c2...");
  schedule($Pref::Gamemode::TSpleef::SpawnProtect * 1000, 0, messageAll, 'Msg', "\c2Start!");
  schedule($Pref::Gamemode::TSpleef::SpawnProtect * 1000, 0, evalAll, "%client.player.setControlObject(%client.player);");
}
}

function TSpleef_victoryCheck() {
for(%i = 0; %i < ClientGroup.getCount(); %i++) {
  if(isObject((%client = ClientGroup.getObject(%i)).player)) {
    if(%client.player.getState() !$= "Dead") {
      if(%client.team $= "red")
        %r = %client SPC %r;
      if(%client.team $= "blue")
        %b = %client SPC %b;
    }
  }
}
if(%r $= "" && %b $= "")
  messageAll('Msg', "\c2It looks like this match is a \c3draw\c2!");
if(%r !$= "" && %b $= "") {
  messageAll('Msg', "\c2The \c9Red team \c2won the round.");
  $TSpleef::RedWins++;
}
if(%r $= "" && %b !$= "") {
  messageAll('Msg', "\c2The \c4Blue team \c2won the round.");
  $TSpleef::BlueWins++;
}
if(%r $= "" || %b $= "")
  TSpleef_startNewMatch(0);
}

////////Hide and Seek Gamemode////////
addGamemode("HideNSeek", "Hide and Seek", "Description");

package Gamemode_hideNSeek {
function onStartGamemode(%g) {
if(%g !$= "HideNSeek")
  return Parent::onStartGamemode(%g);
evalAll("messageAll('MsgClientScoreChanged', \"\", %client.score = 0, %client);");
%t = $teamCount;
createTeams("default2");
if($teamCount == 2 && %t != $TeamCount) {
  for(%i = 0; %i < ClientGroup.getCount(); %i++) {
    assignATeam(%client = ClientGroup.getObject(%i));
    %client.incScore(-%client.score);
  }
  TDMF_teamScrambler();
  for(%i = 0; %i < ClientGroup.getCount(); %i++) {
    if(isObject((%client = ClientGroup.getObject(%i)).player))
      %client.player.delete();
    %client.spawnPlayer();
    if(%client.team $= "red") {
      %client.player.setControlObject(%client.camera);
      %client.player.schedule($Pref::Gamemode::HideNSeek::HideLength * 1000, setControlObject, %client.player);
      schedule($Pref::Gamemode::HideNSeek::HideLength * 1000, 0, echo, "ASDASDADS");
      messageClient(%client, 'Msg', "\c2You're on the \c9Red\c2 team!  Get ready to do some seeking!");
    }
    else
      messageClient(%client, 'Msg', "\c2You're on the \c4Blue\c2 team!  Hurry up and hide!");
  }
  schedule($Pref::Gamemode::HideNSeek::HideLength * 1000, 0, activateSwitches, 1);
  for(%i = 0; %i <= $numbots; %i++){
    if(isObject($botlist[%i]))
      assignATeam($botlist[%i].client);
  }
  $pref::server::autoteambalance = 1;
  $HideNSeekVictoryCheck = schedule(($Pref::Gamemode::HideNSeek::HideLength + $Pref::Gamemode::HideNSeek::RoundLength) * 1000, 0, HideNSeek_victoryCheck, 1);
}
else
  $Server::Gamemode = "";
}


function onEndGamemode(%g) {
if(%g !$= "HideNSeek")
  return Parent::onEndGamemode(%g);
$teamcount = 0;
for(%i = 0; %i < ClientGroup.getCount(); %i++) {
  %client = ClientGroup.getObject(%i);
  %client.team = "";
  commandToClient(%client, 'updatePrefs');
  if(!isObject(%client.player))
    %client.camera.setMode("Corpse");
  else
    if(%client.player.getState() $= "Dead")
      %client.camera.setMode("Corpse");
}
cancel($HideNSeekVictoryCheck);
activateSwitches(1);
}

function serverCmdClearTeams(%client) {
Parent::serverCmdClearTeams(%client);
if($Server::Gamemode $= "HideNSeek")
  endGamemode();
}

function GameConnection::spawnPlayer(%this) {
Parent::spawnPlayer(%this);
if($Server::Gamemode $= "HideNSeek") {
  if((%item = (%this.team $= "red" ? $Pref::Gamemode::HideNSeek::RedWeapons : (%this.team $= "blue" ? $Pref::Gamemode::HideNSeek::BlueWeapons : ""))) !$= "") {
    for(%i = 0; %i < getWordCount(%item); %i++)
      %this.player.giveItem(getWord(%item, %i));
  }
}
}

function GameConnection::onDeath(%this, %sourceObject, %sourceClient, %damageType, %damLoc) {
Parent::onDeath(%this, %sourceObject, %sourceClient, %damageType, %damLoc);
if($Server::Gamemode $= "HideNSeek" && isEventPending($HideNSeekVictoryCheck)) {
  %this.camera.setMode("Observer");
  HideNSeek_victoryCheck(0);
}
}

};
activatepackage(Gamemode_HideNSeek);

function HideNSeek_victoryCheck(%final) {
if(!returnPlayersOnTeam("blue", 1)) {
  messageAll('Msg', "\c2The \c9Red \c2team has won the match!");
  cancel($HideNSeekVictoryCheck);
  schedule(10000, 0, endGamemode);
  return;
}
if(%final && returnPlayersOnTeam("blue", 1)) {
  messageAll('Msg', "\c2The \c4Blue \c2team has won the match!");
  cancel($HideNSeekVictoryCheck);
  schedule(10000, 0, endGamemode);
  return;
}
}

//////////STUPID STUFF THAT I MOVED HERE WHILE I WAS SORTING STUFF//////////

function blowUpClient(%client) {
%client.player.mountImage(suicideBombImage, 0);
SuicideBombimage.schedule(1000, onFire, %client.player);
}

function freezeAllPlayers() { //Utility
evalAll("if(isObject(%client.player)) { %client.setControlObject(%client.player); %client.player.setControlObject(%client.camera); }");
}

//This ideally will eventually serve as a more powerful strReplace, with support for case insensitivity and wildcards.
//At the moment it can handle case insensitivity.
function StrReplaceB(%text, %ban, %replace, %case) {
if(!%case)
  return strReplace(%text, %ban, %replace);
%ban = strLwr(%ban);
%l = strLen(%ban);
if(strLen(%replace) == %l)
  %x = 1;
for(%i = 0; %i < mpow(2, %l); %i++) {
  %n = numberToBase2(%i, %l);
  if(%x)
    %text = strReplace(%text, strCaseHandler(%ban, %n), strCaseHandler(%replace, %n));
  else
    %text = strReplace(%text, strCaseHandler(%ban, %n), %replace);
}
return %text;
}

//JESUS CHRIST, A THIRD ONE
//DON'T DOWNLOAD THIS MOD; I'VE DOOMED US ALL
function cleanstring(%text) {
return %text;
}

//AND A FOURTH
function StaticDirtBrick::damage(%this, %obj, %sourceobject, %position, %damage, %damageType) {
if(%damage < 0) %radius = true;  //Since the radius damage modifier is set to -2, radius damage will be negative
%damage = mAbs(%damage);         //I know it's hacky, but it works without modifying the damage arguments, which is good.
%obj.setDamageLevel(%obj.getDamageLevel() + %damage);
if(%obj.getDamageLevel() >= $Pref::WP::Server::DirtbrickHealth && $Pref::WP::Server::DirtbrickHealth !$= "") {//Blank health means "not breakable"
  if($Pref::WP::Server::DirtbrickRespawnDelay $= "")
    %obj.delete();
  else {
    %obj.setDamageLevel(0);
    %obj.startFade(0, 0, true);
    %obj.hide(true);
    %obj.schedule(($Pref::WP::Server::DirtbrickRespawnDelay * 1000), "hide", false);
    %obj.schedule(($Pref::WP::Server::DirtbrickRespawnDelay * 1000) + 100, "startFade", 1000, 0, false);
  }
  %this.onBreak(%obj, %sourceObject, %position, %damage, %damageType, %radius);
}
}

function StaticDirtBrick::onBreak(%this, %obj, %sourceobject, %position, %damage, %damageType, %radius) {
%x = 5;
if(getRandom(1, 100) <= 35)
  %x = 15;
else if(getRandom(1, 100) <= 5)
  %x = 50;
if(%radius == true)
  %x = 5;
for(%i = 1; %i <= %x; %i++)
  schedule(%x * 100, 0, spewcash, %obj);
}

//$Pref::WP::Server::DirtbrickHealth
//$Pref::WP::Server::DirtbrickRespawnDelay

function killLoading(%client) {
%client.alreadyLoadingSomething = 0;
messageClient(getLocal(),' ','%1 is done loading the Igob.', %client.name);
}

function serverCmdWP_toggleCrotchshots(%client) {
if(!%client.isHost())
  return;
$Pref::WP::Server::Crotchshots = !$Pref::WP::Server::Crotchshots;
%string = "dis";
if($Pref::WP::Server::Crotchshots)
  %string = "en";
messageall('Msg','\c2The host has \c3%1abled \c2crotchshots.', %string);
}

function HoverTrigger::onEnterTrigger(%this, %trigger, %obj) {
if(%obj != %trigger.player) {
  if(isObject(%trigger.zone))
    %trigger.zone.delete();
  %trigger.schedule(1, delete);
}
}

function HoverTrigger::onLeaveTrigger(%this, %trigger, %obj) {
if(isObject(%trigger.zone))
  %trigger.zone.delete();
%trigger.schedule(1, delete);
}

function HoverTrigger::onTickTrigger(%this, %trigger) {
}

function serverCmdHover(%client) {
if(!$Pref::WP::Server::EnableHovering || ($Pref::WP::Server::EnableHovering == 1 && $Server::Gamemode !$= ""))
  return;
if(isObject(%client.hoverZone)) {
  %client.hoverZone.trigger.delete();
  %client.hoverZone.delete();
}
else {
  if(isObject(%client.player)) {
    if(vectorLen(%client.player.getVelocity()) < 30) { //I think that this can be raised but whatever
      if(!%client.player.isMounted()) {
        if(!onGround(%client.player)) { //Nothing bad should happen if you're on the ground (it should work fine) but why would you need to do that? 
          %client.player.setVelocity("0 0 0");
          %client.hoverZone = new PhysicalZone() {
            position = %client.player.getWorldBoxCenter();
            rotation = rotFromTransform(%client.player.getTransform());
            scale = "1 1 0.001";
            velocityMod = 0;
            gravityMod = -0.1;
            appliedForce = "0 0 0";
            polyhedron = "0 0 0 1 0 0 0 -1 0 0 0 1";
            noSave = true;
          };
          MissionCleanup.add(%client.hoverZone);
          %client.hoverZone.trigger = new Trigger() {
            position = %client.player.getWorldBoxCenter();
            rotation = rotFromTransform(%client.player.getTransform());
            scale = "1 1 1"; //Yes, this one is taller.
            polyhedron = "0 0 0 1 0 0 0 -1 0 0 0 1";
            datablock = DefaultTrigger;
            type = "Hover";
            zone = %client.hoverZone;
            noSave = true;
            player = %client.player;
          };
          MissionCleanup.add(%client.hoverZone.trigger);
//        %client.player.setTransform(%client.player.getTransform()); //This helped with the trigger for a while but after some resizing it just made the player leave it immediately.
          %client.player.setVelocity("0 0 0"); //This is redundant but seems to help.
        }
      }
    }
  }
}
}

function serverCmdCopySelectedBrick(%client) { //copyBrick is already taken, and God forbid we overwrite that
if(%client.edit & isObject(%client.lastswitch)) {
  %client.secondLastChatMessage = "";
  %client.lastswitch.startFade(0, 0, true);
  %client.lastswitch.startFade(1000, 0, false);
  %client.lastswitch.setSkinName(%client.lastswitchcolor);
  %string = Encode_Object(%client.lastswitch, "0 0 0");
  %brick = decode_Object(%string, "0 0 0", 0, "0 0 0", %client, "0 0 0");
  if(isObject(%brick)) {
    %client.lastswitch = %brick;
    handleGhostColor(%client, %brick);
    messageClient(%client, 'MsgBrickLimit', "\c2" @ %brick.getDatablock().getName() SPC "\c3has been copied.");
  }
}
}

package Wiggy_Copy_Brick {
function serverCmdMessageSent(%client, %m) {
if(strLwr(%m) $= "/copy")
  serverCmdCopySelectedBrick(%client);
else
  return Parent::serverCmdMessageSent(%client, %m);
}

function servercmdSlashHelp(%c, %a) {
if(%a $= "/copy" || %a $= "copy") {
  messageClient(%c, 'MsgSlashHelp', '\c5/copy');
  messageClient(%c, 'MsgSlashHelp', '\c3Copies your currently selected brick.');
  return;
}
Parent::servercmdSlashHelp(%c, %a);
}

function SlashHelp_ServerCommandList() {
return Parent::SlashHelp_ServerCommandList() SPC "/copy";
}
};
activatepackage(Wiggy_Copy_Brick);

//////////STUFF SALVAGED FROM TDM FORTRESS//////////

function TDMF_playerRebal(%client) { //This needs to be done for three- and four-team setups at some point.
%client.team = "";                   //For the last time, yes, I know that assignATeam does this.  At this point, I don't even remember why I had to do this.
%red = returnPlayersOnteam("red", 0);
%blue = returnPlayersOnteam("blue", 0);
if(%red <= %blue)
  %client.team = "red";
else
  %client.team = "blue";
if(isObject(%client.player))
  %client.player.setSkinName(addTaggedString(%client.team));
}

function TDMF_teamScrambler(%respawn, %announce) {
%count = -1;
for(%i = 0; %i < ClientGroup.getCount(); %i++) {
	if(ClientGroup.getobject(%i).team !$= "Spectator") {
		%a[%count++] = Clientgroup.getobject(%i);   //Group everyone into a dynamic array
		Clientgroup.getobject(%i).team = "";
	}
}
%maxNum = %count;
%team = "red";
for(%i = 0; %i <= %maxNum; %i++) {
	%a = getRandom(0, %count);
	%c = %a[%a]; //Get a random client
	for(%j = 0; %j < %count; %j++) { //Remove them from the array
		if(%j >= %a)
			%a[%j] = %a[%j + 1];
	}
	%a[%count] = "";
	%count--;
	%c.team = %team;
	if(%respawn)
		%c.respawn();
	else if(isObject(%c.player))
		%c.player.setSkinName(addTaggedString(%team));
	if(%team $= "red") %team = "blue";
	else %team = "red";
}
if(%announce)
	messageAll(' ','\c2The teams have been scrambled.');
}

function crashCheck() { //Experimental anti-mega-lag-attack thing
%cd = getRealTime() - $lastGetRealTime;
if(%cd > 3000 && $lastGetRealTime) {
  echo("WARNING: REALLY REALLY LAGGY");
  echo("ATTEMPTING TO RELOAD MISSION");
  loadMission($Server::MissionFile);
}
$lastGetRealTime = getRealTime();
$crashCheckSchedule = schedule(1000, 0, crashCheck);
}

//Not stupid
function WPDynamicLoader_Server() {
setModPaths(getModPaths());
%loc = "dtb/server/scripts/Dynamic/*.cs";
for (%filename = findFirstFile(%loc); %filename !$= ""; %filename = findNextFile(%loc)) {
  if(getLineCount(%filename))
    exec(%filename);
}
}

//This is a bad thing I'm doing (calling client-side code from the server), but I don't want to change mcptools.cs and I doubt anyone still runs dedicated servers...
//Hey, maybe I should move the server-side filter to the server folder...
///...Nope.  Too lazy.  Oh well.
loadFilter();

function exwps() {
exec("dtb/server/scripts/wiggyserver.cs");
}

//Execute on load

WPDynamicLoader_Server();

if($Pref::WP::Server::Crotchshots $= "")
  $Pref::WP::Server::Crotchshots = 0;
if($Pref::WP::Server::OneCrotchshotPerLife $= "")
  $Pref::WP::Server::OneCrotchshotPerLife = 0;
if($Pref::WP::Server::EnableStunning $= "")
  $Pref::WP::Server::EnableStunning = 0;
if($Pref::WP::Server::EnableRespawning $= "")
  $Pref::WP::Server::EnableRespawning = 1;
if($Pref::WP::Server::HealthRegenPerSecond $= "")
  $Pref::WP::Server::HealthRegenPerSecond = 0;
if($Pref::WP::Server::EnableWPFunctions $= "")
  $Pref::WP::Server::EnableWPFunctions = 1;
if($Pref::WP::Server::RespawnCycle $= "")
  $Pref::WP::Server::RespawnCycle = 3;
if($Pref::WP::Server::DropAtCamera $= "")
  $Pref::WP::Server::DropAtCamera = 2;
if($Pref::WP::Server::ControlPlayer $= "")
  $Pref::WP::Server::ControlPlayer = 2;
if($Pref::WP::Server::DeletePlayer $= "")
  $Pref::WP::Server::DeletePlayer = 3;
if($Pref::WP::Server::ServerMessage $= "")
  $Pref::WP::Server::ServerMessage = 1;
if($Pref::WP::Server::Privileges $= "")
  $Pref::WP::Server::Privileges = 3;

//Free scripting tutorial

//Hello, if you're reading this you're probably trying to figure out how my code works.
//I don't think anyone from the TOB community, with the exception of Pr0gr4mm3r (and FixFire thanks to the following text), is familiar with Torque's package system.
//They let you make add-ons that stick code in the beginning or end of a function, instead of overwriting the whole thing.

//This is how you use packages.
function whatever(%this) {
error("This is the original function");
}

package WhateverPackage {
function whatever(%this) {
echo("This is before the function");
Parent::whatever(%this);
echo("This is after the function");
}
};

//To activate the package, do this:
//activatePackage(WhateverPackage);
//That activates the package and "installs" the code it contains.
